<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDatosDocumentacion ArrayType
 * @subpackage Arrays
 */
class ArrayOfDatosDocumentacion extends AbstractStructArrayBase
{
    /**
     * The DatosDocumentacion
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\DatosDocumentacion[]
     */
    public $DatosDocumentacion;
    /**
     * Constructor method for ArrayOfDatosDocumentacion
     * @uses ArrayOfDatosDocumentacion::setDatosDocumentacion()
     * @param \StructType\DatosDocumentacion[] $datosDocumentacion
     */
    public function __construct(array $datosDocumentacion = array())
    {
        $this
            ->setDatosDocumentacion($datosDocumentacion);
    }
    /**
     * Get DatosDocumentacion value
     * @return \StructType\DatosDocumentacion[]|null
     */
    public function getDatosDocumentacion()
    {
        return $this->DatosDocumentacion;
    }
    /**
     * This method is responsible for validating the values passed to the setDatosDocumentacion method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDatosDocumentacion method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDatosDocumentacionForArrayConstraintsFromSetDatosDocumentacion(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfDatosDocumentacionDatosDocumentacionItem) {
            // validation for constraint: itemType
            if (!$arrayOfDatosDocumentacionDatosDocumentacionItem instanceof \StructType\DatosDocumentacion) {
                $invalidValues[] = is_object($arrayOfDatosDocumentacionDatosDocumentacionItem) ? get_class($arrayOfDatosDocumentacionDatosDocumentacionItem) : sprintf('%s(%s)', gettype($arrayOfDatosDocumentacionDatosDocumentacionItem), var_export($arrayOfDatosDocumentacionDatosDocumentacionItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DatosDocumentacion property can only contain items of type \StructType\DatosDocumentacion, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DatosDocumentacion value
     * @throws \InvalidArgumentException
     * @param \StructType\DatosDocumentacion[] $datosDocumentacion
     * @return \ArrayType\ArrayOfDatosDocumentacion
     */
    public function setDatosDocumentacion(array $datosDocumentacion = array())
    {
        // validation for constraint: array
        if ('' !== ($datosDocumentacionArrayErrorMessage = self::validateDatosDocumentacionForArrayConstraintsFromSetDatosDocumentacion($datosDocumentacion))) {
            throw new \InvalidArgumentException($datosDocumentacionArrayErrorMessage, __LINE__);
        }
        $this->DatosDocumentacion = $datosDocumentacion;
        return $this;
    }
    /**
     * Add item to DatosDocumentacion value
     * @throws \InvalidArgumentException
     * @param \StructType\DatosDocumentacion $item
     * @return \ArrayType\ArrayOfDatosDocumentacion
     */
    public function addToDatosDocumentacion(\StructType\DatosDocumentacion $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\DatosDocumentacion) {
            throw new \InvalidArgumentException(sprintf('The DatosDocumentacion property can only contain items of type \StructType\DatosDocumentacion, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DatosDocumentacion[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\DatosDocumentacion|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\DatosDocumentacion|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\DatosDocumentacion|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\DatosDocumentacion|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\DatosDocumentacion|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DatosDocumentacion
     */
    public function getAttributeName()
    {
        return 'DatosDocumentacion';
    }
}
