<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEmisionMotorsSalidaItem ArrayType
 * @subpackage Arrays
 */
class ArrayOfEmisionMotorsSalidaItem extends AbstractStructArrayBase
{
    /**
     * The EmisionMotorsSalidaItem
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EmisionMotorsSalidaItem[]
     */
    public $EmisionMotorsSalidaItem;
    /**
     * Constructor method for ArrayOfEmisionMotorsSalidaItem
     * @uses ArrayOfEmisionMotorsSalidaItem::setEmisionMotorsSalidaItem()
     * @param \StructType\EmisionMotorsSalidaItem[] $emisionMotorsSalidaItem
     */
    public function __construct(array $emisionMotorsSalidaItem = array())
    {
        $this
            ->setEmisionMotorsSalidaItem($emisionMotorsSalidaItem);
    }
    /**
     * Get EmisionMotorsSalidaItem value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EmisionMotorsSalidaItem[]|null
     */
    public function getEmisionMotorsSalidaItem()
    {
        return isset($this->EmisionMotorsSalidaItem) ? $this->EmisionMotorsSalidaItem : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEmisionMotorsSalidaItem method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEmisionMotorsSalidaItem method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEmisionMotorsSalidaItemForArrayConstraintsFromSetEmisionMotorsSalidaItem(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEmisionMotorsSalidaItemEmisionMotorsSalidaItemItem) {
            // validation for constraint: itemType
            if (!$arrayOfEmisionMotorsSalidaItemEmisionMotorsSalidaItemItem instanceof \StructType\EmisionMotorsSalidaItem) {
                $invalidValues[] = is_object($arrayOfEmisionMotorsSalidaItemEmisionMotorsSalidaItemItem) ? get_class($arrayOfEmisionMotorsSalidaItemEmisionMotorsSalidaItemItem) : sprintf('%s(%s)', gettype($arrayOfEmisionMotorsSalidaItemEmisionMotorsSalidaItemItem), var_export($arrayOfEmisionMotorsSalidaItemEmisionMotorsSalidaItemItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EmisionMotorsSalidaItem property can only contain items of type \StructType\EmisionMotorsSalidaItem, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EmisionMotorsSalidaItem value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EmisionMotorsSalidaItem[] $emisionMotorsSalidaItem
     * @return \ArrayType\ArrayOfEmisionMotorsSalidaItem
     */
    public function setEmisionMotorsSalidaItem(array $emisionMotorsSalidaItem = array())
    {
        // validation for constraint: array
        if ('' !== ($emisionMotorsSalidaItemArrayErrorMessage = self::validateEmisionMotorsSalidaItemForArrayConstraintsFromSetEmisionMotorsSalidaItem($emisionMotorsSalidaItem))) {
            throw new \InvalidArgumentException($emisionMotorsSalidaItemArrayErrorMessage, __LINE__);
        }
        if (is_null($emisionMotorsSalidaItem) || (is_array($emisionMotorsSalidaItem) && empty($emisionMotorsSalidaItem))) {
            unset($this->EmisionMotorsSalidaItem);
        } else {
            $this->EmisionMotorsSalidaItem = $emisionMotorsSalidaItem;
        }
        return $this;
    }
    /**
     * Add item to EmisionMotorsSalidaItem value
     * @throws \InvalidArgumentException
     * @param \StructType\EmisionMotorsSalidaItem $item
     * @return \ArrayType\ArrayOfEmisionMotorsSalidaItem
     */
    public function addToEmisionMotorsSalidaItem(\StructType\EmisionMotorsSalidaItem $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EmisionMotorsSalidaItem) {
            throw new \InvalidArgumentException(sprintf('The EmisionMotorsSalidaItem property can only contain items of type \StructType\EmisionMotorsSalidaItem, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EmisionMotorsSalidaItem[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EmisionMotorsSalidaItem|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EmisionMotorsSalidaItem|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EmisionMotorsSalidaItem|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EmisionMotorsSalidaItem|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EmisionMotorsSalidaItem|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EmisionMotorsSalidaItem
     */
    public function getAttributeName()
    {
        return 'EmisionMotorsSalidaItem';
    }
}
