<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEmisionMotorsSalidaItemCobertura ArrayType
 * @subpackage Arrays
 */
class ArrayOfEmisionMotorsSalidaItemCobertura extends AbstractStructArrayBase
{
    /**
     * The EmisionMotorsSalidaItemCobertura
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EmisionMotorsSalidaItemCobertura[]
     */
    public $EmisionMotorsSalidaItemCobertura;
    /**
     * Constructor method for ArrayOfEmisionMotorsSalidaItemCobertura
     * @uses ArrayOfEmisionMotorsSalidaItemCobertura::setEmisionMotorsSalidaItemCobertura()
     * @param \StructType\EmisionMotorsSalidaItemCobertura[] $emisionMotorsSalidaItemCobertura
     */
    public function __construct(array $emisionMotorsSalidaItemCobertura = array())
    {
        $this
            ->setEmisionMotorsSalidaItemCobertura($emisionMotorsSalidaItemCobertura);
    }
    /**
     * Get EmisionMotorsSalidaItemCobertura value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EmisionMotorsSalidaItemCobertura[]|null
     */
    public function getEmisionMotorsSalidaItemCobertura()
    {
        return isset($this->EmisionMotorsSalidaItemCobertura) ? $this->EmisionMotorsSalidaItemCobertura : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEmisionMotorsSalidaItemCobertura method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEmisionMotorsSalidaItemCobertura method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEmisionMotorsSalidaItemCoberturaForArrayConstraintsFromSetEmisionMotorsSalidaItemCobertura(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEmisionMotorsSalidaItemCoberturaEmisionMotorsSalidaItemCoberturaItem) {
            // validation for constraint: itemType
            if (!$arrayOfEmisionMotorsSalidaItemCoberturaEmisionMotorsSalidaItemCoberturaItem instanceof \StructType\EmisionMotorsSalidaItemCobertura) {
                $invalidValues[] = is_object($arrayOfEmisionMotorsSalidaItemCoberturaEmisionMotorsSalidaItemCoberturaItem) ? get_class($arrayOfEmisionMotorsSalidaItemCoberturaEmisionMotorsSalidaItemCoberturaItem) : sprintf('%s(%s)', gettype($arrayOfEmisionMotorsSalidaItemCoberturaEmisionMotorsSalidaItemCoberturaItem), var_export($arrayOfEmisionMotorsSalidaItemCoberturaEmisionMotorsSalidaItemCoberturaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EmisionMotorsSalidaItemCobertura property can only contain items of type \StructType\EmisionMotorsSalidaItemCobertura, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EmisionMotorsSalidaItemCobertura value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EmisionMotorsSalidaItemCobertura[] $emisionMotorsSalidaItemCobertura
     * @return \ArrayType\ArrayOfEmisionMotorsSalidaItemCobertura
     */
    public function setEmisionMotorsSalidaItemCobertura(array $emisionMotorsSalidaItemCobertura = array())
    {
        // validation for constraint: array
        if ('' !== ($emisionMotorsSalidaItemCoberturaArrayErrorMessage = self::validateEmisionMotorsSalidaItemCoberturaForArrayConstraintsFromSetEmisionMotorsSalidaItemCobertura($emisionMotorsSalidaItemCobertura))) {
            throw new \InvalidArgumentException($emisionMotorsSalidaItemCoberturaArrayErrorMessage, __LINE__);
        }
        if (is_null($emisionMotorsSalidaItemCobertura) || (is_array($emisionMotorsSalidaItemCobertura) && empty($emisionMotorsSalidaItemCobertura))) {
            unset($this->EmisionMotorsSalidaItemCobertura);
        } else {
            $this->EmisionMotorsSalidaItemCobertura = $emisionMotorsSalidaItemCobertura;
        }
        return $this;
    }
    /**
     * Add item to EmisionMotorsSalidaItemCobertura value
     * @throws \InvalidArgumentException
     * @param \StructType\EmisionMotorsSalidaItemCobertura $item
     * @return \ArrayType\ArrayOfEmisionMotorsSalidaItemCobertura
     */
    public function addToEmisionMotorsSalidaItemCobertura(\StructType\EmisionMotorsSalidaItemCobertura $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EmisionMotorsSalidaItemCobertura) {
            throw new \InvalidArgumentException(sprintf('The EmisionMotorsSalidaItemCobertura property can only contain items of type \StructType\EmisionMotorsSalidaItemCobertura, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EmisionMotorsSalidaItemCobertura[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EmisionMotorsSalidaItemCobertura|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EmisionMotorsSalidaItemCobertura|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EmisionMotorsSalidaItemCobertura|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EmisionMotorsSalidaItemCobertura|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EmisionMotorsSalidaItemCobertura|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EmisionMotorsSalidaItemCobertura
     */
    public function getAttributeName()
    {
        return 'EmisionMotorsSalidaItemCobertura';
    }
}
