<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfResultadoConsultaDocumentacionDenuncia ArrayType
 * @subpackage Arrays
 */
class ArrayOfResultadoConsultaDocumentacionDenuncia extends AbstractStructArrayBase
{
    /**
     * The ResultadoConsultaDocumentacionDenuncia
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ResultadoConsultaDocumentacionDenuncia[]
     */
    public $ResultadoConsultaDocumentacionDenuncia;
    /**
     * Constructor method for ArrayOfResultadoConsultaDocumentacionDenuncia
     * @uses ArrayOfResultadoConsultaDocumentacionDenuncia::setResultadoConsultaDocumentacionDenuncia()
     * @param \StructType\ResultadoConsultaDocumentacionDenuncia[] $resultadoConsultaDocumentacionDenuncia
     */
    public function __construct(array $resultadoConsultaDocumentacionDenuncia = array())
    {
        $this
            ->setResultadoConsultaDocumentacionDenuncia($resultadoConsultaDocumentacionDenuncia);
    }
    /**
     * Get ResultadoConsultaDocumentacionDenuncia value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ResultadoConsultaDocumentacionDenuncia[]|null
     */
    public function getResultadoConsultaDocumentacionDenuncia()
    {
        return isset($this->ResultadoConsultaDocumentacionDenuncia) ? $this->ResultadoConsultaDocumentacionDenuncia : null;
    }
    /**
     * This method is responsible for validating the values passed to the setResultadoConsultaDocumentacionDenuncia method
     * This method is willingly generated in order to preserve the one-line inline validation within the setResultadoConsultaDocumentacionDenuncia method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateResultadoConsultaDocumentacionDenunciaForArrayConstraintsFromSetResultadoConsultaDocumentacionDenuncia(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfResultadoConsultaDocumentacionDenunciaResultadoConsultaDocumentacionDenunciaItem) {
            // validation for constraint: itemType
            if (!$arrayOfResultadoConsultaDocumentacionDenunciaResultadoConsultaDocumentacionDenunciaItem instanceof \StructType\ResultadoConsultaDocumentacionDenuncia) {
                $invalidValues[] = is_object($arrayOfResultadoConsultaDocumentacionDenunciaResultadoConsultaDocumentacionDenunciaItem) ? get_class($arrayOfResultadoConsultaDocumentacionDenunciaResultadoConsultaDocumentacionDenunciaItem) : sprintf('%s(%s)', gettype($arrayOfResultadoConsultaDocumentacionDenunciaResultadoConsultaDocumentacionDenunciaItem), var_export($arrayOfResultadoConsultaDocumentacionDenunciaResultadoConsultaDocumentacionDenunciaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ResultadoConsultaDocumentacionDenuncia property can only contain items of type \StructType\ResultadoConsultaDocumentacionDenuncia, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ResultadoConsultaDocumentacionDenuncia value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ResultadoConsultaDocumentacionDenuncia[] $resultadoConsultaDocumentacionDenuncia
     * @return \ArrayType\ArrayOfResultadoConsultaDocumentacionDenuncia
     */
    public function setResultadoConsultaDocumentacionDenuncia(array $resultadoConsultaDocumentacionDenuncia = array())
    {
        // validation for constraint: array
        if ('' !== ($resultadoConsultaDocumentacionDenunciaArrayErrorMessage = self::validateResultadoConsultaDocumentacionDenunciaForArrayConstraintsFromSetResultadoConsultaDocumentacionDenuncia($resultadoConsultaDocumentacionDenuncia))) {
            throw new \InvalidArgumentException($resultadoConsultaDocumentacionDenunciaArrayErrorMessage, __LINE__);
        }
        if (is_null($resultadoConsultaDocumentacionDenuncia) || (is_array($resultadoConsultaDocumentacionDenuncia) && empty($resultadoConsultaDocumentacionDenuncia))) {
            unset($this->ResultadoConsultaDocumentacionDenuncia);
        } else {
            $this->ResultadoConsultaDocumentacionDenuncia = $resultadoConsultaDocumentacionDenuncia;
        }
        return $this;
    }
    /**
     * Add item to ResultadoConsultaDocumentacionDenuncia value
     * @throws \InvalidArgumentException
     * @param \StructType\ResultadoConsultaDocumentacionDenuncia $item
     * @return \ArrayType\ArrayOfResultadoConsultaDocumentacionDenuncia
     */
    public function addToResultadoConsultaDocumentacionDenuncia(\StructType\ResultadoConsultaDocumentacionDenuncia $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ResultadoConsultaDocumentacionDenuncia) {
            throw new \InvalidArgumentException(sprintf('The ResultadoConsultaDocumentacionDenuncia property can only contain items of type \StructType\ResultadoConsultaDocumentacionDenuncia, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ResultadoConsultaDocumentacionDenuncia[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ResultadoConsultaDocumentacionDenuncia|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ResultadoConsultaDocumentacionDenuncia|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ResultadoConsultaDocumentacionDenuncia|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ResultadoConsultaDocumentacionDenuncia|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ResultadoConsultaDocumentacionDenuncia|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ResultadoConsultaDocumentacionDenuncia
     */
    public function getAttributeName()
    {
        return 'ResultadoConsultaDocumentacionDenuncia';
    }
}
