<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Upload ServiceType
 * @subpackage Services
 */
class Upload extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named UploadEndosos
     * Meta information extracted from the WSDL
     * - documentation: Upload Endosos | Upload Endosos | Upload Endosos
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UploadEndosos $parameters
     * @return \StructType\UploadEndososResponse|bool
     */
    public function UploadEndosos(\StructType\UploadEndosos $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UploadEndosos($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\UploadEndososResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
