<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DIRECCION StructType
 * @subpackage Structs
 */
class DIRECCION extends AbstractStructBase
{
    /**
     * The CALLE
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CALLE;
    /**
     * The NRO
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NRO;
    /**
     * The PISO
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PISO;
    /**
     * The LOCALIDAD
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LOCALIDAD;
    /**
     * The PROVINCIA
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PROVINCIA;
    /**
     * Constructor method for DIRECCION
     * @uses DIRECCION::setCALLE()
     * @uses DIRECCION::setNRO()
     * @uses DIRECCION::setPISO()
     * @uses DIRECCION::setLOCALIDAD()
     * @uses DIRECCION::setPROVINCIA()
     * @param string $cALLE
     * @param string $nRO
     * @param string $pISO
     * @param string $lOCALIDAD
     * @param string $pROVINCIA
     */
    public function __construct($cALLE = null, $nRO = null, $pISO = null, $lOCALIDAD = null, $pROVINCIA = null)
    {
        $this
            ->setCALLE($cALLE)
            ->setNRO($nRO)
            ->setPISO($pISO)
            ->setLOCALIDAD($lOCALIDAD)
            ->setPROVINCIA($pROVINCIA);
    }
    /**
     * Get CALLE value
     * @return string|null
     */
    public function getCALLE()
    {
        return $this->CALLE;
    }
    /**
     * Set CALLE value
     * @param string $cALLE
     * @return \StructType\DIRECCION
     */
    public function setCALLE($cALLE = null)
    {
        // validation for constraint: string
        if (!is_null($cALLE) && !is_string($cALLE)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cALLE, true), gettype($cALLE)), __LINE__);
        }
        $this->CALLE = $cALLE;
        return $this;
    }
    /**
     * Get NRO value
     * @return string|null
     */
    public function getNRO()
    {
        return $this->NRO;
    }
    /**
     * Set NRO value
     * @param string $nRO
     * @return \StructType\DIRECCION
     */
    public function setNRO($nRO = null)
    {
        // validation for constraint: string
        if (!is_null($nRO) && !is_string($nRO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nRO, true), gettype($nRO)), __LINE__);
        }
        $this->NRO = $nRO;
        return $this;
    }
    /**
     * Get PISO value
     * @return string|null
     */
    public function getPISO()
    {
        return $this->PISO;
    }
    /**
     * Set PISO value
     * @param string $pISO
     * @return \StructType\DIRECCION
     */
    public function setPISO($pISO = null)
    {
        // validation for constraint: string
        if (!is_null($pISO) && !is_string($pISO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pISO, true), gettype($pISO)), __LINE__);
        }
        $this->PISO = $pISO;
        return $this;
    }
    /**
     * Get LOCALIDAD value
     * @return string|null
     */
    public function getLOCALIDAD()
    {
        return $this->LOCALIDAD;
    }
    /**
     * Set LOCALIDAD value
     * @param string $lOCALIDAD
     * @return \StructType\DIRECCION
     */
    public function setLOCALIDAD($lOCALIDAD = null)
    {
        // validation for constraint: string
        if (!is_null($lOCALIDAD) && !is_string($lOCALIDAD)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($lOCALIDAD, true), gettype($lOCALIDAD)), __LINE__);
        }
        $this->LOCALIDAD = $lOCALIDAD;
        return $this;
    }
    /**
     * Get PROVINCIA value
     * @return string|null
     */
    public function getPROVINCIA()
    {
        return $this->PROVINCIA;
    }
    /**
     * Set PROVINCIA value
     * @param string $pROVINCIA
     * @return \StructType\DIRECCION
     */
    public function setPROVINCIA($pROVINCIA = null)
    {
        // validation for constraint: string
        if (!is_null($pROVINCIA) && !is_string($pROVINCIA)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pROVINCIA, true), gettype($pROVINCIA)), __LINE__);
        }
        $this->PROVINCIA = $pROVINCIA;
        return $this;
    }
}
