<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for datosResultado StructType
 * @subpackage Structs
 */
class DatosResultado extends AbstractStructBase
{
    /**
     * The Codigo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Codigo;
    /**
     * The Mensaje
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Mensaje;
    /**
     * The NumeroDenuncia
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NumeroDenuncia;
    /**
     * The ValidacionFastTack
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ValidacionFastTack;
    /**
     * The NumeroChasis
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NumeroChasis;
    /**
     * The NumerodeMotor
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NumerodeMotor;
    /**
     * The NumerodePatente
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NumerodePatente;
    /**
     * The ItemdelaPolizaBeneficio
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ItemdelaPolizaBeneficio;
    /**
     * Constructor method for datosResultado
     * @uses DatosResultado::setCodigo()
     * @uses DatosResultado::setMensaje()
     * @uses DatosResultado::setNumeroDenuncia()
     * @uses DatosResultado::setValidacionFastTack()
     * @uses DatosResultado::setNumeroChasis()
     * @uses DatosResultado::setNumerodeMotor()
     * @uses DatosResultado::setNumerodePatente()
     * @uses DatosResultado::setItemdelaPolizaBeneficio()
     * @param int $codigo
     * @param string $mensaje
     * @param string $numeroDenuncia
     * @param string $validacionFastTack
     * @param string $numeroChasis
     * @param string $numerodeMotor
     * @param string $numerodePatente
     * @param string $itemdelaPolizaBeneficio
     */
    public function __construct($codigo = null, $mensaje = null, $numeroDenuncia = null, $validacionFastTack = null, $numeroChasis = null, $numerodeMotor = null, $numerodePatente = null, $itemdelaPolizaBeneficio = null)
    {
        $this
            ->setCodigo($codigo)
            ->setMensaje($mensaje)
            ->setNumeroDenuncia($numeroDenuncia)
            ->setValidacionFastTack($validacionFastTack)
            ->setNumeroChasis($numeroChasis)
            ->setNumerodeMotor($numerodeMotor)
            ->setNumerodePatente($numerodePatente)
            ->setItemdelaPolizaBeneficio($itemdelaPolizaBeneficio);
    }
    /**
     * Get Codigo value
     * @return int
     */
    public function getCodigo()
    {
        return $this->Codigo;
    }
    /**
     * Set Codigo value
     * @param int $codigo
     * @return \StructType\DatosResultado
     */
    public function setCodigo($codigo = null)
    {
        // validation for constraint: int
        if (!is_null($codigo) && !(is_int($codigo) || ctype_digit($codigo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($codigo, true), gettype($codigo)), __LINE__);
        }
        $this->Codigo = $codigo;
        return $this;
    }
    /**
     * Get Mensaje value
     * @return string|null
     */
    public function getMensaje()
    {
        return $this->Mensaje;
    }
    /**
     * Set Mensaje value
     * @param string $mensaje
     * @return \StructType\DatosResultado
     */
    public function setMensaje($mensaje = null)
    {
        // validation for constraint: string
        if (!is_null($mensaje) && !is_string($mensaje)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mensaje, true), gettype($mensaje)), __LINE__);
        }
        $this->Mensaje = $mensaje;
        return $this;
    }
    /**
     * Get NumeroDenuncia value
     * @return string|null
     */
    public function getNumeroDenuncia()
    {
        return $this->NumeroDenuncia;
    }
    /**
     * Set NumeroDenuncia value
     * @param string $numeroDenuncia
     * @return \StructType\DatosResultado
     */
    public function setNumeroDenuncia($numeroDenuncia = null)
    {
        // validation for constraint: string
        if (!is_null($numeroDenuncia) && !is_string($numeroDenuncia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroDenuncia, true), gettype($numeroDenuncia)), __LINE__);
        }
        $this->NumeroDenuncia = $numeroDenuncia;
        return $this;
    }
    /**
     * Get ValidacionFastTack value
     * @return string|null
     */
    public function getValidacionFastTack()
    {
        return $this->ValidacionFastTack;
    }
    /**
     * Set ValidacionFastTack value
     * @param string $validacionFastTack
     * @return \StructType\DatosResultado
     */
    public function setValidacionFastTack($validacionFastTack = null)
    {
        // validation for constraint: string
        if (!is_null($validacionFastTack) && !is_string($validacionFastTack)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($validacionFastTack, true), gettype($validacionFastTack)), __LINE__);
        }
        $this->ValidacionFastTack = $validacionFastTack;
        return $this;
    }
    /**
     * Get NumeroChasis value
     * @return string|null
     */
    public function getNumeroChasis()
    {
        return $this->NumeroChasis;
    }
    /**
     * Set NumeroChasis value
     * @param string $numeroChasis
     * @return \StructType\DatosResultado
     */
    public function setNumeroChasis($numeroChasis = null)
    {
        // validation for constraint: string
        if (!is_null($numeroChasis) && !is_string($numeroChasis)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroChasis, true), gettype($numeroChasis)), __LINE__);
        }
        $this->NumeroChasis = $numeroChasis;
        return $this;
    }
    /**
     * Get NumerodeMotor value
     * @return string|null
     */
    public function getNumerodeMotor()
    {
        return $this->NumerodeMotor;
    }
    /**
     * Set NumerodeMotor value
     * @param string $numerodeMotor
     * @return \StructType\DatosResultado
     */
    public function setNumerodeMotor($numerodeMotor = null)
    {
        // validation for constraint: string
        if (!is_null($numerodeMotor) && !is_string($numerodeMotor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numerodeMotor, true), gettype($numerodeMotor)), __LINE__);
        }
        $this->NumerodeMotor = $numerodeMotor;
        return $this;
    }
    /**
     * Get NumerodePatente value
     * @return string|null
     */
    public function getNumerodePatente()
    {
        return $this->NumerodePatente;
    }
    /**
     * Set NumerodePatente value
     * @param string $numerodePatente
     * @return \StructType\DatosResultado
     */
    public function setNumerodePatente($numerodePatente = null)
    {
        // validation for constraint: string
        if (!is_null($numerodePatente) && !is_string($numerodePatente)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numerodePatente, true), gettype($numerodePatente)), __LINE__);
        }
        $this->NumerodePatente = $numerodePatente;
        return $this;
    }
    /**
     * Get ItemdelaPolizaBeneficio value
     * @return string|null
     */
    public function getItemdelaPolizaBeneficio()
    {
        return $this->ItemdelaPolizaBeneficio;
    }
    /**
     * Set ItemdelaPolizaBeneficio value
     * @param string $itemdelaPolizaBeneficio
     * @return \StructType\DatosResultado
     */
    public function setItemdelaPolizaBeneficio($itemdelaPolizaBeneficio = null)
    {
        // validation for constraint: string
        if (!is_null($itemdelaPolizaBeneficio) && !is_string($itemdelaPolizaBeneficio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($itemdelaPolizaBeneficio, true), gettype($itemdelaPolizaBeneficio)), __LINE__);
        }
        $this->ItemdelaPolizaBeneficio = $itemdelaPolizaBeneficio;
        return $this;
    }
}
