<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocCanalINEmisionComercioPersonaDatosAdicionales
 * StructType
 * @subpackage Structs
 */
class DocCanalINEmisionComercioPersonaDatosAdicionales extends AbstractStructBase
{
    /**
     * The Tipo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Tipo;
    /**
     * The PersonaFisica
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaFisica
     */
    public $PersonaFisica;
    /**
     * The PersonaJuridica
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaJuridica
     */
    public $PersonaJuridica;
    /**
     * Constructor method for DocCanalINEmisionComercioPersonaDatosAdicionales
     * @uses DocCanalINEmisionComercioPersonaDatosAdicionales::setTipo()
     * @uses DocCanalINEmisionComercioPersonaDatosAdicionales::setPersonaFisica()
     * @uses DocCanalINEmisionComercioPersonaDatosAdicionales::setPersonaJuridica()
     * @param string $tipo
     * @param \StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaFisica $personaFisica
     * @param \StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaJuridica $personaJuridica
     */
    public function __construct($tipo = null, \StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaFisica $personaFisica = null, \StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaJuridica $personaJuridica = null)
    {
        $this
            ->setTipo($tipo)
            ->setPersonaFisica($personaFisica)
            ->setPersonaJuridica($personaJuridica);
    }
    /**
     * Get Tipo value
     * @return string
     */
    public function getTipo()
    {
        return $this->Tipo;
    }
    /**
     * Set Tipo value
     * @uses \EnumType\DocCanalINEmisionComercioTipoPersona::valueIsValid()
     * @uses \EnumType\DocCanalINEmisionComercioTipoPersona::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $tipo
     * @return \StructType\DocCanalINEmisionComercioPersonaDatosAdicionales
     */
    public function setTipo($tipo = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\DocCanalINEmisionComercioTipoPersona::valueIsValid($tipo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\DocCanalINEmisionComercioTipoPersona', is_array($tipo) ? implode(', ', $tipo) : var_export($tipo, true), implode(', ', \EnumType\DocCanalINEmisionComercioTipoPersona::getValidValues())), __LINE__);
        }
        $this->Tipo = $tipo;
        return $this;
    }
    /**
     * Get PersonaFisica value
     * @return \StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaFisica|null
     */
    public function getPersonaFisica()
    {
        return $this->PersonaFisica;
    }
    /**
     * Set PersonaFisica value
     * @param \StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaFisica $personaFisica
     * @return \StructType\DocCanalINEmisionComercioPersonaDatosAdicionales
     */
    public function setPersonaFisica(\StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaFisica $personaFisica = null)
    {
        $this->PersonaFisica = $personaFisica;
        return $this;
    }
    /**
     * Get PersonaJuridica value
     * @return \StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaJuridica|null
     */
    public function getPersonaJuridica()
    {
        return $this->PersonaJuridica;
    }
    /**
     * Set PersonaJuridica value
     * @param \StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaJuridica $personaJuridica
     * @return \StructType\DocCanalINEmisionComercioPersonaDatosAdicionales
     */
    public function setPersonaJuridica(\StructType\DocCanalINEmisionComercioPersonaDatosAdicionalesPersonaJuridica $personaJuridica = null)
    {
        $this->PersonaJuridica = $personaJuridica;
        return $this;
    }
}
