<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocCanalINEmisionHogarItemCobertura StructType
 * @subpackage Structs
 */
class DocCanalINEmisionHogarItemCobertura extends AbstractStructBase
{
    /**
     * The ItemCoberturaID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ItemCoberturaID;
    /**
     * The ItemID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ItemID;
    /**
     * The SA
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $SA;
    /**
     * The IDCobertura
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDCobertura;
    /**
     * The Detalles
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfDocCanalINEmisionHogarItemcoberturaDetalle
     */
    public $Detalles;
    /**
     * Constructor method for DocCanalINEmisionHogarItemCobertura
     * @uses DocCanalINEmisionHogarItemCobertura::setItemCoberturaID()
     * @uses DocCanalINEmisionHogarItemCobertura::setItemID()
     * @uses DocCanalINEmisionHogarItemCobertura::setSA()
     * @uses DocCanalINEmisionHogarItemCobertura::setIDCobertura()
     * @uses DocCanalINEmisionHogarItemCobertura::setDetalles()
     * @param int $itemCoberturaID
     * @param int $itemID
     * @param float $sA
     * @param string $iDCobertura
     * @param \ArrayType\ArrayOfDocCanalINEmisionHogarItemcoberturaDetalle $detalles
     */
    public function __construct($itemCoberturaID = null, $itemID = null, $sA = null, $iDCobertura = null, \ArrayType\ArrayOfDocCanalINEmisionHogarItemcoberturaDetalle $detalles = null)
    {
        $this
            ->setItemCoberturaID($itemCoberturaID)
            ->setItemID($itemID)
            ->setSA($sA)
            ->setIDCobertura($iDCobertura)
            ->setDetalles($detalles);
    }
    /**
     * Get ItemCoberturaID value
     * @return int
     */
    public function getItemCoberturaID()
    {
        return $this->ItemCoberturaID;
    }
    /**
     * Set ItemCoberturaID value
     * @param int $itemCoberturaID
     * @return \StructType\DocCanalINEmisionHogarItemCobertura
     */
    public function setItemCoberturaID($itemCoberturaID = null)
    {
        // validation for constraint: int
        if (!is_null($itemCoberturaID) && !(is_int($itemCoberturaID) || ctype_digit($itemCoberturaID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($itemCoberturaID, true), gettype($itemCoberturaID)), __LINE__);
        }
        $this->ItemCoberturaID = $itemCoberturaID;
        return $this;
    }
    /**
     * Get ItemID value
     * @return int
     */
    public function getItemID()
    {
        return $this->ItemID;
    }
    /**
     * Set ItemID value
     * @param int $itemID
     * @return \StructType\DocCanalINEmisionHogarItemCobertura
     */
    public function setItemID($itemID = null)
    {
        // validation for constraint: int
        if (!is_null($itemID) && !(is_int($itemID) || ctype_digit($itemID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($itemID, true), gettype($itemID)), __LINE__);
        }
        $this->ItemID = $itemID;
        return $this;
    }
    /**
     * Get SA value
     * @return float
     */
    public function getSA()
    {
        return $this->SA;
    }
    /**
     * Set SA value
     * @param float $sA
     * @return \StructType\DocCanalINEmisionHogarItemCobertura
     */
    public function setSA($sA = null)
    {
        // validation for constraint: float
        if (!is_null($sA) && !(is_float($sA) || is_numeric($sA))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($sA, true), gettype($sA)), __LINE__);
        }
        $this->SA = $sA;
        return $this;
    }
    /**
     * Get IDCobertura value
     * @return string|null
     */
    public function getIDCobertura()
    {
        return $this->IDCobertura;
    }
    /**
     * Set IDCobertura value
     * @param string $iDCobertura
     * @return \StructType\DocCanalINEmisionHogarItemCobertura
     */
    public function setIDCobertura($iDCobertura = null)
    {
        // validation for constraint: string
        if (!is_null($iDCobertura) && !is_string($iDCobertura)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDCobertura, true), gettype($iDCobertura)), __LINE__);
        }
        $this->IDCobertura = $iDCobertura;
        return $this;
    }
    /**
     * Get Detalles value
     * @return \ArrayType\ArrayOfDocCanalINEmisionHogarItemcoberturaDetalle|null
     */
    public function getDetalles()
    {
        return $this->Detalles;
    }
    /**
     * Set Detalles value
     * @param \ArrayType\ArrayOfDocCanalINEmisionHogarItemcoberturaDetalle $detalles
     * @return \StructType\DocCanalINEmisionHogarItemCobertura
     */
    public function setDetalles(\ArrayType\ArrayOfDocCanalINEmisionHogarItemcoberturaDetalle $detalles = null)
    {
        $this->Detalles = $detalles;
        return $this;
    }
}
