<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocCanalINEmisionRoboItem StructType
 * @subpackage Structs
 */
class DocCanalINEmisionRoboItem extends AbstractStructBase
{
    /**
     * The ItemID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ItemID;
    /**
     * The OrdenID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $OrdenID;
    /**
     * The PaqueteID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $PaqueteID;
    /**
     * The ActividadID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ActividadID;
    /**
     * The IDPersonaAsegurado
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDPersonaAsegurado;
    /**
     * The IDPersonaBeneficiario
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDPersonaBeneficiario;
    /**
     * The IDPersonaAcreedor
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDPersonaAcreedor;
    /**
     * The IDLocalidad
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDLocalidad;
    /**
     * The IDProvincia
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDProvincia;
    /**
     * The AsistenciaID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $AsistenciaID;
    /**
     * The Coberturas
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfDocCanalINEmisionRoboItemCobertura
     */
    public $Coberturas;
    /**
     * The TipoScoringValores
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfDocCanalINEmisionRoboItemTiposcoringvalor
     */
    public $TipoScoringValores;
    /**
     * Constructor method for DocCanalINEmisionRoboItem
     * @uses DocCanalINEmisionRoboItem::setItemID()
     * @uses DocCanalINEmisionRoboItem::setOrdenID()
     * @uses DocCanalINEmisionRoboItem::setPaqueteID()
     * @uses DocCanalINEmisionRoboItem::setActividadID()
     * @uses DocCanalINEmisionRoboItem::setIDPersonaAsegurado()
     * @uses DocCanalINEmisionRoboItem::setIDPersonaBeneficiario()
     * @uses DocCanalINEmisionRoboItem::setIDPersonaAcreedor()
     * @uses DocCanalINEmisionRoboItem::setIDLocalidad()
     * @uses DocCanalINEmisionRoboItem::setIDProvincia()
     * @uses DocCanalINEmisionRoboItem::setAsistenciaID()
     * @uses DocCanalINEmisionRoboItem::setCoberturas()
     * @uses DocCanalINEmisionRoboItem::setTipoScoringValores()
     * @param int $itemID
     * @param int $ordenID
     * @param int $paqueteID
     * @param int $actividadID
     * @param string $iDPersonaAsegurado
     * @param string $iDPersonaBeneficiario
     * @param string $iDPersonaAcreedor
     * @param string $iDLocalidad
     * @param string $iDProvincia
     * @param string $asistenciaID
     * @param \ArrayType\ArrayOfDocCanalINEmisionRoboItemCobertura $coberturas
     * @param \ArrayType\ArrayOfDocCanalINEmisionRoboItemTiposcoringvalor $tipoScoringValores
     */
    public function __construct($itemID = null, $ordenID = null, $paqueteID = null, $actividadID = null, $iDPersonaAsegurado = null, $iDPersonaBeneficiario = null, $iDPersonaAcreedor = null, $iDLocalidad = null, $iDProvincia = null, $asistenciaID = null, \ArrayType\ArrayOfDocCanalINEmisionRoboItemCobertura $coberturas = null, \ArrayType\ArrayOfDocCanalINEmisionRoboItemTiposcoringvalor $tipoScoringValores = null)
    {
        $this
            ->setItemID($itemID)
            ->setOrdenID($ordenID)
            ->setPaqueteID($paqueteID)
            ->setActividadID($actividadID)
            ->setIDPersonaAsegurado($iDPersonaAsegurado)
            ->setIDPersonaBeneficiario($iDPersonaBeneficiario)
            ->setIDPersonaAcreedor($iDPersonaAcreedor)
            ->setIDLocalidad($iDLocalidad)
            ->setIDProvincia($iDProvincia)
            ->setAsistenciaID($asistenciaID)
            ->setCoberturas($coberturas)
            ->setTipoScoringValores($tipoScoringValores);
    }
    /**
     * Get ItemID value
     * @return int
     */
    public function getItemID()
    {
        return $this->ItemID;
    }
    /**
     * Set ItemID value
     * @param int $itemID
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setItemID($itemID = null)
    {
        // validation for constraint: int
        if (!is_null($itemID) && !(is_int($itemID) || ctype_digit($itemID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($itemID, true), gettype($itemID)), __LINE__);
        }
        $this->ItemID = $itemID;
        return $this;
    }
    /**
     * Get OrdenID value
     * @return int
     */
    public function getOrdenID()
    {
        return $this->OrdenID;
    }
    /**
     * Set OrdenID value
     * @param int $ordenID
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setOrdenID($ordenID = null)
    {
        // validation for constraint: int
        if (!is_null($ordenID) && !(is_int($ordenID) || ctype_digit($ordenID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($ordenID, true), gettype($ordenID)), __LINE__);
        }
        $this->OrdenID = $ordenID;
        return $this;
    }
    /**
     * Get PaqueteID value
     * @return int
     */
    public function getPaqueteID()
    {
        return $this->PaqueteID;
    }
    /**
     * Set PaqueteID value
     * @param int $paqueteID
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setPaqueteID($paqueteID = null)
    {
        // validation for constraint: int
        if (!is_null($paqueteID) && !(is_int($paqueteID) || ctype_digit($paqueteID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($paqueteID, true), gettype($paqueteID)), __LINE__);
        }
        $this->PaqueteID = $paqueteID;
        return $this;
    }
    /**
     * Get ActividadID value
     * @return int
     */
    public function getActividadID()
    {
        return $this->ActividadID;
    }
    /**
     * Set ActividadID value
     * @param int $actividadID
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setActividadID($actividadID = null)
    {
        // validation for constraint: int
        if (!is_null($actividadID) && !(is_int($actividadID) || ctype_digit($actividadID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($actividadID, true), gettype($actividadID)), __LINE__);
        }
        $this->ActividadID = $actividadID;
        return $this;
    }
    /**
     * Get IDPersonaAsegurado value
     * @return string|null
     */
    public function getIDPersonaAsegurado()
    {
        return $this->IDPersonaAsegurado;
    }
    /**
     * Set IDPersonaAsegurado value
     * @param string $iDPersonaAsegurado
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setIDPersonaAsegurado($iDPersonaAsegurado = null)
    {
        // validation for constraint: string
        if (!is_null($iDPersonaAsegurado) && !is_string($iDPersonaAsegurado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDPersonaAsegurado, true), gettype($iDPersonaAsegurado)), __LINE__);
        }
        $this->IDPersonaAsegurado = $iDPersonaAsegurado;
        return $this;
    }
    /**
     * Get IDPersonaBeneficiario value
     * @return string|null
     */
    public function getIDPersonaBeneficiario()
    {
        return $this->IDPersonaBeneficiario;
    }
    /**
     * Set IDPersonaBeneficiario value
     * @param string $iDPersonaBeneficiario
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setIDPersonaBeneficiario($iDPersonaBeneficiario = null)
    {
        // validation for constraint: string
        if (!is_null($iDPersonaBeneficiario) && !is_string($iDPersonaBeneficiario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDPersonaBeneficiario, true), gettype($iDPersonaBeneficiario)), __LINE__);
        }
        $this->IDPersonaBeneficiario = $iDPersonaBeneficiario;
        return $this;
    }
    /**
     * Get IDPersonaAcreedor value
     * @return string|null
     */
    public function getIDPersonaAcreedor()
    {
        return $this->IDPersonaAcreedor;
    }
    /**
     * Set IDPersonaAcreedor value
     * @param string $iDPersonaAcreedor
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setIDPersonaAcreedor($iDPersonaAcreedor = null)
    {
        // validation for constraint: string
        if (!is_null($iDPersonaAcreedor) && !is_string($iDPersonaAcreedor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDPersonaAcreedor, true), gettype($iDPersonaAcreedor)), __LINE__);
        }
        $this->IDPersonaAcreedor = $iDPersonaAcreedor;
        return $this;
    }
    /**
     * Get IDLocalidad value
     * @return string|null
     */
    public function getIDLocalidad()
    {
        return $this->IDLocalidad;
    }
    /**
     * Set IDLocalidad value
     * @param string $iDLocalidad
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setIDLocalidad($iDLocalidad = null)
    {
        // validation for constraint: string
        if (!is_null($iDLocalidad) && !is_string($iDLocalidad)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDLocalidad, true), gettype($iDLocalidad)), __LINE__);
        }
        $this->IDLocalidad = $iDLocalidad;
        return $this;
    }
    /**
     * Get IDProvincia value
     * @return string|null
     */
    public function getIDProvincia()
    {
        return $this->IDProvincia;
    }
    /**
     * Set IDProvincia value
     * @param string $iDProvincia
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setIDProvincia($iDProvincia = null)
    {
        // validation for constraint: string
        if (!is_null($iDProvincia) && !is_string($iDProvincia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDProvincia, true), gettype($iDProvincia)), __LINE__);
        }
        $this->IDProvincia = $iDProvincia;
        return $this;
    }
    /**
     * Get AsistenciaID value
     * @return string|null
     */
    public function getAsistenciaID()
    {
        return $this->AsistenciaID;
    }
    /**
     * Set AsistenciaID value
     * @param string $asistenciaID
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setAsistenciaID($asistenciaID = null)
    {
        // validation for constraint: string
        if (!is_null($asistenciaID) && !is_string($asistenciaID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($asistenciaID, true), gettype($asistenciaID)), __LINE__);
        }
        $this->AsistenciaID = $asistenciaID;
        return $this;
    }
    /**
     * Get Coberturas value
     * @return \ArrayType\ArrayOfDocCanalINEmisionRoboItemCobertura|null
     */
    public function getCoberturas()
    {
        return $this->Coberturas;
    }
    /**
     * Set Coberturas value
     * @param \ArrayType\ArrayOfDocCanalINEmisionRoboItemCobertura $coberturas
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setCoberturas(\ArrayType\ArrayOfDocCanalINEmisionRoboItemCobertura $coberturas = null)
    {
        $this->Coberturas = $coberturas;
        return $this;
    }
    /**
     * Get TipoScoringValores value
     * @return \ArrayType\ArrayOfDocCanalINEmisionRoboItemTiposcoringvalor|null
     */
    public function getTipoScoringValores()
    {
        return $this->TipoScoringValores;
    }
    /**
     * Set TipoScoringValores value
     * @param \ArrayType\ArrayOfDocCanalINEmisionRoboItemTiposcoringvalor $tipoScoringValores
     * @return \StructType\DocCanalINEmisionRoboItem
     */
    public function setTipoScoringValores(\ArrayType\ArrayOfDocCanalINEmisionRoboItemTiposcoringvalor $tipoScoringValores = null)
    {
        $this->TipoScoringValores = $tipoScoringValores;
        return $this;
    }
}
