<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica
 * StructType
 * @subpackage Structs
 */
class DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica extends AbstractStructBase
{
    /**
     * The FormLavado
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $FormLavado;
    /**
     * The EsPEP
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $EsPEP;
    /**
     * The PersonaMayor40
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $PersonaMayor40;
    /**
     * The LugarNacimiento
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LugarNacimiento;
    /**
     * The TelCelular
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $TelCelular;
    /**
     * Constructor method for
     * DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica
     * @uses DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica::setFormLavado()
     * @uses DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica::setEsPEP()
     * @uses DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica::setPersonaMayor40()
     * @uses DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica::setLugarNacimiento()
     * @uses DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica::setTelCelular()
     * @param bool $formLavado
     * @param string $esPEP
     * @param bool $personaMayor40
     * @param string $lugarNacimiento
     * @param string $telCelular
     */
    public function __construct($formLavado = null, $esPEP = null, $personaMayor40 = null, $lugarNacimiento = null, $telCelular = null)
    {
        $this
            ->setFormLavado($formLavado)
            ->setEsPEP($esPEP)
            ->setPersonaMayor40($personaMayor40)
            ->setLugarNacimiento($lugarNacimiento)
            ->setTelCelular($telCelular);
    }
    /**
     * Get FormLavado value
     * @return bool
     */
    public function getFormLavado()
    {
        return $this->FormLavado;
    }
    /**
     * Set FormLavado value
     * @param bool $formLavado
     * @return \StructType\DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica
     */
    public function setFormLavado($formLavado = null)
    {
        // validation for constraint: boolean
        if (!is_null($formLavado) && !is_bool($formLavado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($formLavado, true), gettype($formLavado)), __LINE__);
        }
        $this->FormLavado = $formLavado;
        return $this;
    }
    /**
     * Get EsPEP value
     * @return string
     */
    public function getEsPEP()
    {
        return $this->EsPEP;
    }
    /**
     * Set EsPEP value
     * @uses \EnumType\DocCanalOUTConsultaPresupuestoMotorPEP::valueIsValid()
     * @uses \EnumType\DocCanalOUTConsultaPresupuestoMotorPEP::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $esPEP
     * @return \StructType\DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica
     */
    public function setEsPEP($esPEP = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\DocCanalOUTConsultaPresupuestoMotorPEP::valueIsValid($esPEP)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\DocCanalOUTConsultaPresupuestoMotorPEP', is_array($esPEP) ? implode(', ', $esPEP) : var_export($esPEP, true), implode(', ', \EnumType\DocCanalOUTConsultaPresupuestoMotorPEP::getValidValues())), __LINE__);
        }
        $this->EsPEP = $esPEP;
        return $this;
    }
    /**
     * Get PersonaMayor40 value
     * @return bool
     */
    public function getPersonaMayor40()
    {
        return $this->PersonaMayor40;
    }
    /**
     * Set PersonaMayor40 value
     * @param bool $personaMayor40
     * @return \StructType\DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica
     */
    public function setPersonaMayor40($personaMayor40 = null)
    {
        // validation for constraint: boolean
        if (!is_null($personaMayor40) && !is_bool($personaMayor40)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($personaMayor40, true), gettype($personaMayor40)), __LINE__);
        }
        $this->PersonaMayor40 = $personaMayor40;
        return $this;
    }
    /**
     * Get LugarNacimiento value
     * @return string|null
     */
    public function getLugarNacimiento()
    {
        return $this->LugarNacimiento;
    }
    /**
     * Set LugarNacimiento value
     * @param string $lugarNacimiento
     * @return \StructType\DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica
     */
    public function setLugarNacimiento($lugarNacimiento = null)
    {
        // validation for constraint: string
        if (!is_null($lugarNacimiento) && !is_string($lugarNacimiento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($lugarNacimiento, true), gettype($lugarNacimiento)), __LINE__);
        }
        $this->LugarNacimiento = $lugarNacimiento;
        return $this;
    }
    /**
     * Get TelCelular value
     * @return string|null
     */
    public function getTelCelular()
    {
        return $this->TelCelular;
    }
    /**
     * Set TelCelular value
     * @param string $telCelular
     * @return \StructType\DocCanalOUTConsultaPresupuestoMotorPersonaDatosAdicionalesPersonaFisica
     */
    public function setTelCelular($telCelular = null)
    {
        // validation for constraint: string
        if (!is_null($telCelular) && !is_string($telCelular)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($telCelular, true), gettype($telCelular)), __LINE__);
        }
        $this->TelCelular = $telCelular;
        return $this;
    }
}
