<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocCanalOUTCotizacionHogarOrdenCosto StructType
 * @subpackage Structs
 */
class DocCanalOUTCotizacionHogarOrdenCosto extends AbstractStructBase
{
    /**
     * The OrdenCostoID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $OrdenCostoID;
    /**
     * The OrdenID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $OrdenID;
    /**
     * The ItemID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $ItemID;
    /**
     * The Tasa
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var float
     */
    public $Tasa;
    /**
     * The Valor
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Valor;
    /**
     * The IDConcepto
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDConcepto;
    /**
     * The Vigencia
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Vigencia;
    /**
     * Constructor method for DocCanalOUTCotizacionHogarOrdenCosto
     * @uses DocCanalOUTCotizacionHogarOrdenCosto::setOrdenCostoID()
     * @uses DocCanalOUTCotizacionHogarOrdenCosto::setOrdenID()
     * @uses DocCanalOUTCotizacionHogarOrdenCosto::setItemID()
     * @uses DocCanalOUTCotizacionHogarOrdenCosto::setTasa()
     * @uses DocCanalOUTCotizacionHogarOrdenCosto::setValor()
     * @uses DocCanalOUTCotizacionHogarOrdenCosto::setIDConcepto()
     * @uses DocCanalOUTCotizacionHogarOrdenCosto::setVigencia()
     * @param int $ordenCostoID
     * @param int $ordenID
     * @param int $itemID
     * @param float $tasa
     * @param float $valor
     * @param string $iDConcepto
     * @param string $vigencia
     */
    public function __construct($ordenCostoID = null, $ordenID = null, $itemID = null, $tasa = null, $valor = null, $iDConcepto = null, $vigencia = null)
    {
        $this
            ->setOrdenCostoID($ordenCostoID)
            ->setOrdenID($ordenID)
            ->setItemID($itemID)
            ->setTasa($tasa)
            ->setValor($valor)
            ->setIDConcepto($iDConcepto)
            ->setVigencia($vigencia);
    }
    /**
     * Get OrdenCostoID value
     * @return int
     */
    public function getOrdenCostoID()
    {
        return $this->OrdenCostoID;
    }
    /**
     * Set OrdenCostoID value
     * @param int $ordenCostoID
     * @return \StructType\DocCanalOUTCotizacionHogarOrdenCosto
     */
    public function setOrdenCostoID($ordenCostoID = null)
    {
        // validation for constraint: int
        if (!is_null($ordenCostoID) && !(is_int($ordenCostoID) || ctype_digit($ordenCostoID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($ordenCostoID, true), gettype($ordenCostoID)), __LINE__);
        }
        $this->OrdenCostoID = $ordenCostoID;
        return $this;
    }
    /**
     * Get OrdenID value
     * @return int
     */
    public function getOrdenID()
    {
        return $this->OrdenID;
    }
    /**
     * Set OrdenID value
     * @param int $ordenID
     * @return \StructType\DocCanalOUTCotizacionHogarOrdenCosto
     */
    public function setOrdenID($ordenID = null)
    {
        // validation for constraint: int
        if (!is_null($ordenID) && !(is_int($ordenID) || ctype_digit($ordenID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($ordenID, true), gettype($ordenID)), __LINE__);
        }
        $this->OrdenID = $ordenID;
        return $this;
    }
    /**
     * Get ItemID value
     * @return int
     */
    public function getItemID()
    {
        return $this->ItemID;
    }
    /**
     * Set ItemID value
     * @param int $itemID
     * @return \StructType\DocCanalOUTCotizacionHogarOrdenCosto
     */
    public function setItemID($itemID = null)
    {
        // validation for constraint: int
        if (!is_null($itemID) && !(is_int($itemID) || ctype_digit($itemID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($itemID, true), gettype($itemID)), __LINE__);
        }
        $this->ItemID = $itemID;
        return $this;
    }
    /**
     * Get Tasa value
     * @return float
     */
    public function getTasa()
    {
        return $this->Tasa;
    }
    /**
     * Set Tasa value
     * @param float $tasa
     * @return \StructType\DocCanalOUTCotizacionHogarOrdenCosto
     */
    public function setTasa($tasa = null)
    {
        // validation for constraint: float
        if (!is_null($tasa) && !(is_float($tasa) || is_numeric($tasa))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($tasa, true), gettype($tasa)), __LINE__);
        }
        $this->Tasa = $tasa;
        return $this;
    }
    /**
     * Get Valor value
     * @return float
     */
    public function getValor()
    {
        return $this->Valor;
    }
    /**
     * Set Valor value
     * @param float $valor
     * @return \StructType\DocCanalOUTCotizacionHogarOrdenCosto
     */
    public function setValor($valor = null)
    {
        // validation for constraint: float
        if (!is_null($valor) && !(is_float($valor) || is_numeric($valor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($valor, true), gettype($valor)), __LINE__);
        }
        $this->Valor = $valor;
        return $this;
    }
    /**
     * Get IDConcepto value
     * @return string|null
     */
    public function getIDConcepto()
    {
        return $this->IDConcepto;
    }
    /**
     * Set IDConcepto value
     * @param string $iDConcepto
     * @return \StructType\DocCanalOUTCotizacionHogarOrdenCosto
     */
    public function setIDConcepto($iDConcepto = null)
    {
        // validation for constraint: string
        if (!is_null($iDConcepto) && !is_string($iDConcepto)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDConcepto, true), gettype($iDConcepto)), __LINE__);
        }
        $this->IDConcepto = $iDConcepto;
        return $this;
    }
    /**
     * Get Vigencia value
     * @return string|null
     */
    public function getVigencia()
    {
        return $this->Vigencia;
    }
    /**
     * Set Vigencia value
     * @param string $vigencia
     * @return \StructType\DocCanalOUTCotizacionHogarOrdenCosto
     */
    public function setVigencia($vigencia = null)
    {
        // validation for constraint: string
        if (!is_null($vigencia) && !is_string($vigencia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vigencia, true), gettype($vigencia)), __LINE__);
        }
        $this->Vigencia = $vigencia;
        return $this;
    }
}
