<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocCanalOUTEmisionRoboItem StructType
 * @subpackage Structs
 */
class DocCanalOUTEmisionRoboItem extends AbstractStructBase
{
    /**
     * The ItemID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ItemID;
    /**
     * The OrdenID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $OrdenID;
    /**
     * The Orden
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $Orden;
    /**
     * The AsistenciaID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $AsistenciaID;
    /**
     * The PaqueteID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $PaqueteID;
    /**
     * The ActividadID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $ActividadID;
    /**
     * The IDPersonaAsegurado
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDPersonaAsegurado;
    /**
     * The IDPersonaBeneficiario
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDPersonaBeneficiario;
    /**
     * The IDProvincia
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDProvincia;
    /**
     * The IDLocalidad
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IDLocalidad;
    /**
     * The CodigoPostal
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CodigoPostal;
    /**
     * The Coberturas
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfDocCanalOUTEmisionRoboItemCobertura
     */
    public $Coberturas;
    /**
     * The TipoScoringValores
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfDocCanalOUTEmisionRoboItemTiposcoringvalor
     */
    public $TipoScoringValores;
    /**
     * The Costos
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfDocCanalOUTEmisionRoboOrdenCosto
     */
    public $Costos;
    /**
     * Constructor method for DocCanalOUTEmisionRoboItem
     * @uses DocCanalOUTEmisionRoboItem::setItemID()
     * @uses DocCanalOUTEmisionRoboItem::setOrdenID()
     * @uses DocCanalOUTEmisionRoboItem::setOrden()
     * @uses DocCanalOUTEmisionRoboItem::setAsistenciaID()
     * @uses DocCanalOUTEmisionRoboItem::setPaqueteID()
     * @uses DocCanalOUTEmisionRoboItem::setActividadID()
     * @uses DocCanalOUTEmisionRoboItem::setIDPersonaAsegurado()
     * @uses DocCanalOUTEmisionRoboItem::setIDPersonaBeneficiario()
     * @uses DocCanalOUTEmisionRoboItem::setIDProvincia()
     * @uses DocCanalOUTEmisionRoboItem::setIDLocalidad()
     * @uses DocCanalOUTEmisionRoboItem::setCodigoPostal()
     * @uses DocCanalOUTEmisionRoboItem::setCoberturas()
     * @uses DocCanalOUTEmisionRoboItem::setTipoScoringValores()
     * @uses DocCanalOUTEmisionRoboItem::setCostos()
     * @param int $itemID
     * @param int $ordenID
     * @param int $orden
     * @param int $asistenciaID
     * @param int $paqueteID
     * @param int $actividadID
     * @param string $iDPersonaAsegurado
     * @param string $iDPersonaBeneficiario
     * @param string $iDProvincia
     * @param string $iDLocalidad
     * @param string $codigoPostal
     * @param \ArrayType\ArrayOfDocCanalOUTEmisionRoboItemCobertura $coberturas
     * @param \ArrayType\ArrayOfDocCanalOUTEmisionRoboItemTiposcoringvalor $tipoScoringValores
     * @param \ArrayType\ArrayOfDocCanalOUTEmisionRoboOrdenCosto $costos
     */
    public function __construct($itemID = null, $ordenID = null, $orden = null, $asistenciaID = null, $paqueteID = null, $actividadID = null, $iDPersonaAsegurado = null, $iDPersonaBeneficiario = null, $iDProvincia = null, $iDLocalidad = null, $codigoPostal = null, \ArrayType\ArrayOfDocCanalOUTEmisionRoboItemCobertura $coberturas = null, \ArrayType\ArrayOfDocCanalOUTEmisionRoboItemTiposcoringvalor $tipoScoringValores = null, \ArrayType\ArrayOfDocCanalOUTEmisionRoboOrdenCosto $costos = null)
    {
        $this
            ->setItemID($itemID)
            ->setOrdenID($ordenID)
            ->setOrden($orden)
            ->setAsistenciaID($asistenciaID)
            ->setPaqueteID($paqueteID)
            ->setActividadID($actividadID)
            ->setIDPersonaAsegurado($iDPersonaAsegurado)
            ->setIDPersonaBeneficiario($iDPersonaBeneficiario)
            ->setIDProvincia($iDProvincia)
            ->setIDLocalidad($iDLocalidad)
            ->setCodigoPostal($codigoPostal)
            ->setCoberturas($coberturas)
            ->setTipoScoringValores($tipoScoringValores)
            ->setCostos($costos);
    }
    /**
     * Get ItemID value
     * @return int
     */
    public function getItemID()
    {
        return $this->ItemID;
    }
    /**
     * Set ItemID value
     * @param int $itemID
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setItemID($itemID = null)
    {
        // validation for constraint: int
        if (!is_null($itemID) && !(is_int($itemID) || ctype_digit($itemID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($itemID, true), gettype($itemID)), __LINE__);
        }
        $this->ItemID = $itemID;
        return $this;
    }
    /**
     * Get OrdenID value
     * @return int
     */
    public function getOrdenID()
    {
        return $this->OrdenID;
    }
    /**
     * Set OrdenID value
     * @param int $ordenID
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setOrdenID($ordenID = null)
    {
        // validation for constraint: int
        if (!is_null($ordenID) && !(is_int($ordenID) || ctype_digit($ordenID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($ordenID, true), gettype($ordenID)), __LINE__);
        }
        $this->OrdenID = $ordenID;
        return $this;
    }
    /**
     * Get Orden value
     * @return int
     */
    public function getOrden()
    {
        return $this->Orden;
    }
    /**
     * Set Orden value
     * @param int $orden
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setOrden($orden = null)
    {
        // validation for constraint: int
        if (!is_null($orden) && !(is_int($orden) || ctype_digit($orden))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($orden, true), gettype($orden)), __LINE__);
        }
        $this->Orden = $orden;
        return $this;
    }
    /**
     * Get AsistenciaID value
     * @return int
     */
    public function getAsistenciaID()
    {
        return $this->AsistenciaID;
    }
    /**
     * Set AsistenciaID value
     * @param int $asistenciaID
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setAsistenciaID($asistenciaID = null)
    {
        // validation for constraint: int
        if (!is_null($asistenciaID) && !(is_int($asistenciaID) || ctype_digit($asistenciaID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($asistenciaID, true), gettype($asistenciaID)), __LINE__);
        }
        $this->AsistenciaID = $asistenciaID;
        return $this;
    }
    /**
     * Get PaqueteID value
     * @return int
     */
    public function getPaqueteID()
    {
        return $this->PaqueteID;
    }
    /**
     * Set PaqueteID value
     * @param int $paqueteID
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setPaqueteID($paqueteID = null)
    {
        // validation for constraint: int
        if (!is_null($paqueteID) && !(is_int($paqueteID) || ctype_digit($paqueteID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($paqueteID, true), gettype($paqueteID)), __LINE__);
        }
        $this->PaqueteID = $paqueteID;
        return $this;
    }
    /**
     * Get ActividadID value
     * @return int
     */
    public function getActividadID()
    {
        return $this->ActividadID;
    }
    /**
     * Set ActividadID value
     * @param int $actividadID
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setActividadID($actividadID = null)
    {
        // validation for constraint: int
        if (!is_null($actividadID) && !(is_int($actividadID) || ctype_digit($actividadID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($actividadID, true), gettype($actividadID)), __LINE__);
        }
        $this->ActividadID = $actividadID;
        return $this;
    }
    /**
     * Get IDPersonaAsegurado value
     * @return string|null
     */
    public function getIDPersonaAsegurado()
    {
        return $this->IDPersonaAsegurado;
    }
    /**
     * Set IDPersonaAsegurado value
     * @param string $iDPersonaAsegurado
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setIDPersonaAsegurado($iDPersonaAsegurado = null)
    {
        // validation for constraint: string
        if (!is_null($iDPersonaAsegurado) && !is_string($iDPersonaAsegurado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDPersonaAsegurado, true), gettype($iDPersonaAsegurado)), __LINE__);
        }
        $this->IDPersonaAsegurado = $iDPersonaAsegurado;
        return $this;
    }
    /**
     * Get IDPersonaBeneficiario value
     * @return string|null
     */
    public function getIDPersonaBeneficiario()
    {
        return $this->IDPersonaBeneficiario;
    }
    /**
     * Set IDPersonaBeneficiario value
     * @param string $iDPersonaBeneficiario
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setIDPersonaBeneficiario($iDPersonaBeneficiario = null)
    {
        // validation for constraint: string
        if (!is_null($iDPersonaBeneficiario) && !is_string($iDPersonaBeneficiario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDPersonaBeneficiario, true), gettype($iDPersonaBeneficiario)), __LINE__);
        }
        $this->IDPersonaBeneficiario = $iDPersonaBeneficiario;
        return $this;
    }
    /**
     * Get IDProvincia value
     * @return string|null
     */
    public function getIDProvincia()
    {
        return $this->IDProvincia;
    }
    /**
     * Set IDProvincia value
     * @param string $iDProvincia
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setIDProvincia($iDProvincia = null)
    {
        // validation for constraint: string
        if (!is_null($iDProvincia) && !is_string($iDProvincia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDProvincia, true), gettype($iDProvincia)), __LINE__);
        }
        $this->IDProvincia = $iDProvincia;
        return $this;
    }
    /**
     * Get IDLocalidad value
     * @return string|null
     */
    public function getIDLocalidad()
    {
        return $this->IDLocalidad;
    }
    /**
     * Set IDLocalidad value
     * @param string $iDLocalidad
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setIDLocalidad($iDLocalidad = null)
    {
        // validation for constraint: string
        if (!is_null($iDLocalidad) && !is_string($iDLocalidad)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iDLocalidad, true), gettype($iDLocalidad)), __LINE__);
        }
        $this->IDLocalidad = $iDLocalidad;
        return $this;
    }
    /**
     * Get CodigoPostal value
     * @return string|null
     */
    public function getCodigoPostal()
    {
        return $this->CodigoPostal;
    }
    /**
     * Set CodigoPostal value
     * @param string $codigoPostal
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setCodigoPostal($codigoPostal = null)
    {
        // validation for constraint: string
        if (!is_null($codigoPostal) && !is_string($codigoPostal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoPostal, true), gettype($codigoPostal)), __LINE__);
        }
        $this->CodigoPostal = $codigoPostal;
        return $this;
    }
    /**
     * Get Coberturas value
     * @return \ArrayType\ArrayOfDocCanalOUTEmisionRoboItemCobertura|null
     */
    public function getCoberturas()
    {
        return $this->Coberturas;
    }
    /**
     * Set Coberturas value
     * @param \ArrayType\ArrayOfDocCanalOUTEmisionRoboItemCobertura $coberturas
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setCoberturas(\ArrayType\ArrayOfDocCanalOUTEmisionRoboItemCobertura $coberturas = null)
    {
        $this->Coberturas = $coberturas;
        return $this;
    }
    /**
     * Get TipoScoringValores value
     * @return \ArrayType\ArrayOfDocCanalOUTEmisionRoboItemTiposcoringvalor|null
     */
    public function getTipoScoringValores()
    {
        return $this->TipoScoringValores;
    }
    /**
     * Set TipoScoringValores value
     * @param \ArrayType\ArrayOfDocCanalOUTEmisionRoboItemTiposcoringvalor $tipoScoringValores
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setTipoScoringValores(\ArrayType\ArrayOfDocCanalOUTEmisionRoboItemTiposcoringvalor $tipoScoringValores = null)
    {
        $this->TipoScoringValores = $tipoScoringValores;
        return $this;
    }
    /**
     * Get Costos value
     * @return \ArrayType\ArrayOfDocCanalOUTEmisionRoboOrdenCosto|null
     */
    public function getCostos()
    {
        return $this->Costos;
    }
    /**
     * Set Costos value
     * @param \ArrayType\ArrayOfDocCanalOUTEmisionRoboOrdenCosto $costos
     * @return \StructType\DocCanalOUTEmisionRoboItem
     */
    public function setCostos(\ArrayType\ArrayOfDocCanalOUTEmisionRoboOrdenCosto $costos = null)
    {
        $this->Costos = $costos;
        return $this;
    }
}
