<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Domicilio StructType
 * @subpackage Structs
 */
class Domicilio extends AbstractStructBase
{
    /**
     * The Pais
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Pais;
    /**
     * The CodigoPostal
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CodigoPostal;
    /**
     * The Calle
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Calle;
    /**
     * The Provincia
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Provincia;
    /**
     * The Piso
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Piso;
    /**
     * The Departamenteo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Departamenteo;
    /**
     * The Ciudad
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Ciudad;
    /**
     * The NumeroCalle
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NumeroCalle;
    /**
     * The IdDomicilio
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IdDomicilio;
    /**
     * Constructor method for Domicilio
     * @uses Domicilio::setPais()
     * @uses Domicilio::setCodigoPostal()
     * @uses Domicilio::setCalle()
     * @uses Domicilio::setProvincia()
     * @uses Domicilio::setPiso()
     * @uses Domicilio::setDepartamenteo()
     * @uses Domicilio::setCiudad()
     * @uses Domicilio::setNumeroCalle()
     * @uses Domicilio::setIdDomicilio()
     * @param string $pais
     * @param string $codigoPostal
     * @param string $calle
     * @param string $provincia
     * @param string $piso
     * @param string $departamenteo
     * @param string $ciudad
     * @param string $numeroCalle
     * @param string $idDomicilio
     */
    public function __construct($pais = null, $codigoPostal = null, $calle = null, $provincia = null, $piso = null, $departamenteo = null, $ciudad = null, $numeroCalle = null, $idDomicilio = null)
    {
        $this
            ->setPais($pais)
            ->setCodigoPostal($codigoPostal)
            ->setCalle($calle)
            ->setProvincia($provincia)
            ->setPiso($piso)
            ->setDepartamenteo($departamenteo)
            ->setCiudad($ciudad)
            ->setNumeroCalle($numeroCalle)
            ->setIdDomicilio($idDomicilio);
    }
    /**
     * Get Pais value
     * @return string|null
     */
    public function getPais()
    {
        return $this->Pais;
    }
    /**
     * Set Pais value
     * @param string $pais
     * @return \StructType\Domicilio
     */
    public function setPais($pais = null)
    {
        // validation for constraint: string
        if (!is_null($pais) && !is_string($pais)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pais, true), gettype($pais)), __LINE__);
        }
        $this->Pais = $pais;
        return $this;
    }
    /**
     * Get CodigoPostal value
     * @return string|null
     */
    public function getCodigoPostal()
    {
        return $this->CodigoPostal;
    }
    /**
     * Set CodigoPostal value
     * @param string $codigoPostal
     * @return \StructType\Domicilio
     */
    public function setCodigoPostal($codigoPostal = null)
    {
        // validation for constraint: string
        if (!is_null($codigoPostal) && !is_string($codigoPostal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($codigoPostal, true), gettype($codigoPostal)), __LINE__);
        }
        $this->CodigoPostal = $codigoPostal;
        return $this;
    }
    /**
     * Get Calle value
     * @return string|null
     */
    public function getCalle()
    {
        return $this->Calle;
    }
    /**
     * Set Calle value
     * @param string $calle
     * @return \StructType\Domicilio
     */
    public function setCalle($calle = null)
    {
        // validation for constraint: string
        if (!is_null($calle) && !is_string($calle)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($calle, true), gettype($calle)), __LINE__);
        }
        $this->Calle = $calle;
        return $this;
    }
    /**
     * Get Provincia value
     * @return string|null
     */
    public function getProvincia()
    {
        return $this->Provincia;
    }
    /**
     * Set Provincia value
     * @param string $provincia
     * @return \StructType\Domicilio
     */
    public function setProvincia($provincia = null)
    {
        // validation for constraint: string
        if (!is_null($provincia) && !is_string($provincia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($provincia, true), gettype($provincia)), __LINE__);
        }
        $this->Provincia = $provincia;
        return $this;
    }
    /**
     * Get Piso value
     * @return string|null
     */
    public function getPiso()
    {
        return $this->Piso;
    }
    /**
     * Set Piso value
     * @param string $piso
     * @return \StructType\Domicilio
     */
    public function setPiso($piso = null)
    {
        // validation for constraint: string
        if (!is_null($piso) && !is_string($piso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($piso, true), gettype($piso)), __LINE__);
        }
        $this->Piso = $piso;
        return $this;
    }
    /**
     * Get Departamenteo value
     * @return string|null
     */
    public function getDepartamenteo()
    {
        return $this->Departamenteo;
    }
    /**
     * Set Departamenteo value
     * @param string $departamenteo
     * @return \StructType\Domicilio
     */
    public function setDepartamenteo($departamenteo = null)
    {
        // validation for constraint: string
        if (!is_null($departamenteo) && !is_string($departamenteo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($departamenteo, true), gettype($departamenteo)), __LINE__);
        }
        $this->Departamenteo = $departamenteo;
        return $this;
    }
    /**
     * Get Ciudad value
     * @return string|null
     */
    public function getCiudad()
    {
        return $this->Ciudad;
    }
    /**
     * Set Ciudad value
     * @param string $ciudad
     * @return \StructType\Domicilio
     */
    public function setCiudad($ciudad = null)
    {
        // validation for constraint: string
        if (!is_null($ciudad) && !is_string($ciudad)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ciudad, true), gettype($ciudad)), __LINE__);
        }
        $this->Ciudad = $ciudad;
        return $this;
    }
    /**
     * Get NumeroCalle value
     * @return string|null
     */
    public function getNumeroCalle()
    {
        return $this->NumeroCalle;
    }
    /**
     * Set NumeroCalle value
     * @param string $numeroCalle
     * @return \StructType\Domicilio
     */
    public function setNumeroCalle($numeroCalle = null)
    {
        // validation for constraint: string
        if (!is_null($numeroCalle) && !is_string($numeroCalle)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroCalle, true), gettype($numeroCalle)), __LINE__);
        }
        $this->NumeroCalle = $numeroCalle;
        return $this;
    }
    /**
     * Get IdDomicilio value
     * @return string|null
     */
    public function getIdDomicilio()
    {
        return $this->IdDomicilio;
    }
    /**
     * Set IdDomicilio value
     * @param string $idDomicilio
     * @return \StructType\Domicilio
     */
    public function setIdDomicilio($idDomicilio = null)
    {
        // validation for constraint: string
        if (!is_null($idDomicilio) && !is_string($idDomicilio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($idDomicilio, true), gettype($idDomicilio)), __LINE__);
        }
        $this->IdDomicilio = $idDomicilio;
        return $this;
    }
}
