<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GrabarPresupuesto StructType
 * @subpackage Structs
 */
class GrabarPresupuesto extends AbstractStructBase
{
    /**
     * The pSinPassword
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $pSinPassword;
    /**
     * The pUsuario
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pUsuario;
    /**
     * The pPassword
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pPassword;
    /**
     * The pUsuarioAEC
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pUsuarioAEC;
    /**
     * The pPasswordAEC
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pPasswordAEC;
    /**
     * The pIdTransacccionExterno
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pIdTransacccionExterno;
    /**
     * The pINGrabadoPresupuestoMotor
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\INGrabadoPresupuestoMotor
     */
    public $pINGrabadoPresupuestoMotor;
    /**
     * The pUserHostAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pUserHostAddress;
    /**
     * Constructor method for GrabarPresupuesto
     * @uses GrabarPresupuesto::setPSinPassword()
     * @uses GrabarPresupuesto::setPUsuario()
     * @uses GrabarPresupuesto::setPPassword()
     * @uses GrabarPresupuesto::setPUsuarioAEC()
     * @uses GrabarPresupuesto::setPPasswordAEC()
     * @uses GrabarPresupuesto::setPIdTransacccionExterno()
     * @uses GrabarPresupuesto::setPINGrabadoPresupuestoMotor()
     * @uses GrabarPresupuesto::setPUserHostAddress()
     * @param bool $pSinPassword
     * @param string $pUsuario
     * @param string $pPassword
     * @param string $pUsuarioAEC
     * @param string $pPasswordAEC
     * @param string $pIdTransacccionExterno
     * @param \StructType\INGrabadoPresupuestoMotor $pINGrabadoPresupuestoMotor
     * @param string $pUserHostAddress
     */
    public function __construct($pSinPassword = null, $pUsuario = null, $pPassword = null, $pUsuarioAEC = null, $pPasswordAEC = null, $pIdTransacccionExterno = null, \StructType\INGrabadoPresupuestoMotor $pINGrabadoPresupuestoMotor = null, $pUserHostAddress = null)
    {
        $this
            ->setPSinPassword($pSinPassword)
            ->setPUsuario($pUsuario)
            ->setPPassword($pPassword)
            ->setPUsuarioAEC($pUsuarioAEC)
            ->setPPasswordAEC($pPasswordAEC)
            ->setPIdTransacccionExterno($pIdTransacccionExterno)
            ->setPINGrabadoPresupuestoMotor($pINGrabadoPresupuestoMotor)
            ->setPUserHostAddress($pUserHostAddress);
    }
    /**
     * Get pSinPassword value
     * @return bool
     */
    public function getPSinPassword()
    {
        return $this->pSinPassword;
    }
    /**
     * Set pSinPassword value
     * @param bool $pSinPassword
     * @return \StructType\GrabarPresupuesto
     */
    public function setPSinPassword($pSinPassword = null)
    {
        // validation for constraint: boolean
        if (!is_null($pSinPassword) && !is_bool($pSinPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($pSinPassword, true), gettype($pSinPassword)), __LINE__);
        }
        $this->pSinPassword = $pSinPassword;
        return $this;
    }
    /**
     * Get pUsuario value
     * @return string|null
     */
    public function getPUsuario()
    {
        return $this->pUsuario;
    }
    /**
     * Set pUsuario value
     * @param string $pUsuario
     * @return \StructType\GrabarPresupuesto
     */
    public function setPUsuario($pUsuario = null)
    {
        // validation for constraint: string
        if (!is_null($pUsuario) && !is_string($pUsuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pUsuario, true), gettype($pUsuario)), __LINE__);
        }
        $this->pUsuario = $pUsuario;
        return $this;
    }
    /**
     * Get pPassword value
     * @return string|null
     */
    public function getPPassword()
    {
        return $this->pPassword;
    }
    /**
     * Set pPassword value
     * @param string $pPassword
     * @return \StructType\GrabarPresupuesto
     */
    public function setPPassword($pPassword = null)
    {
        // validation for constraint: string
        if (!is_null($pPassword) && !is_string($pPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pPassword, true), gettype($pPassword)), __LINE__);
        }
        $this->pPassword = $pPassword;
        return $this;
    }
    /**
     * Get pUsuarioAEC value
     * @return string|null
     */
    public function getPUsuarioAEC()
    {
        return $this->pUsuarioAEC;
    }
    /**
     * Set pUsuarioAEC value
     * @param string $pUsuarioAEC
     * @return \StructType\GrabarPresupuesto
     */
    public function setPUsuarioAEC($pUsuarioAEC = null)
    {
        // validation for constraint: string
        if (!is_null($pUsuarioAEC) && !is_string($pUsuarioAEC)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pUsuarioAEC, true), gettype($pUsuarioAEC)), __LINE__);
        }
        $this->pUsuarioAEC = $pUsuarioAEC;
        return $this;
    }
    /**
     * Get pPasswordAEC value
     * @return string|null
     */
    public function getPPasswordAEC()
    {
        return $this->pPasswordAEC;
    }
    /**
     * Set pPasswordAEC value
     * @param string $pPasswordAEC
     * @return \StructType\GrabarPresupuesto
     */
    public function setPPasswordAEC($pPasswordAEC = null)
    {
        // validation for constraint: string
        if (!is_null($pPasswordAEC) && !is_string($pPasswordAEC)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pPasswordAEC, true), gettype($pPasswordAEC)), __LINE__);
        }
        $this->pPasswordAEC = $pPasswordAEC;
        return $this;
    }
    /**
     * Get pIdTransacccionExterno value
     * @return string|null
     */
    public function getPIdTransacccionExterno()
    {
        return $this->pIdTransacccionExterno;
    }
    /**
     * Set pIdTransacccionExterno value
     * @param string $pIdTransacccionExterno
     * @return \StructType\GrabarPresupuesto
     */
    public function setPIdTransacccionExterno($pIdTransacccionExterno = null)
    {
        // validation for constraint: string
        if (!is_null($pIdTransacccionExterno) && !is_string($pIdTransacccionExterno)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pIdTransacccionExterno, true), gettype($pIdTransacccionExterno)), __LINE__);
        }
        $this->pIdTransacccionExterno = $pIdTransacccionExterno;
        return $this;
    }
    /**
     * Get pINGrabadoPresupuestoMotor value
     * @return \StructType\INGrabadoPresupuestoMotor|null
     */
    public function getPINGrabadoPresupuestoMotor()
    {
        return $this->pINGrabadoPresupuestoMotor;
    }
    /**
     * Set pINGrabadoPresupuestoMotor value
     * @param \StructType\INGrabadoPresupuestoMotor $pINGrabadoPresupuestoMotor
     * @return \StructType\GrabarPresupuesto
     */
    public function setPINGrabadoPresupuestoMotor(\StructType\INGrabadoPresupuestoMotor $pINGrabadoPresupuestoMotor = null)
    {
        $this->pINGrabadoPresupuestoMotor = $pINGrabadoPresupuestoMotor;
        return $this;
    }
    /**
     * Get pUserHostAddress value
     * @return string|null
     */
    public function getPUserHostAddress()
    {
        return $this->pUserHostAddress;
    }
    /**
     * Set pUserHostAddress value
     * @param string $pUserHostAddress
     * @return \StructType\GrabarPresupuesto
     */
    public function setPUserHostAddress($pUserHostAddress = null)
    {
        // validation for constraint: string
        if (!is_null($pUserHostAddress) && !is_string($pUserHostAddress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pUserHostAddress, true), gettype($pUserHostAddress)), __LINE__);
        }
        $this->pUserHostAddress = $pUserHostAddress;
        return $this;
    }
}
