<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InformeDeCobranzas StructType
 * @subpackage Structs
 */
class InformeDeCobranzas extends AbstractStructBase
{
    /**
     * The pFamilia
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $pFamilia;
    /**
     * The pSociedad
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $pSociedad;
    /**
     * The pSegmento
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $pSegmento;
    /**
     * The pFechaDesde
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $pFechaDesde;
    /**
     * The pFechaHasta
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $pFechaHasta;
    /**
     * The pUsuario
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pUsuario;
    /**
     * The pPassword
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pPassword;
    /**
     * The pUsuarioAec
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pUsuarioAec;
    /**
     * The pPasswordAec
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pPasswordAec;
    /**
     * The pIdTransacccionExterno
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pIdTransacccionExterno;
    /**
     * Constructor method for InformeDeCobranzas
     * @uses InformeDeCobranzas::setPFamilia()
     * @uses InformeDeCobranzas::setPSociedad()
     * @uses InformeDeCobranzas::setPSegmento()
     * @uses InformeDeCobranzas::setPFechaDesde()
     * @uses InformeDeCobranzas::setPFechaHasta()
     * @uses InformeDeCobranzas::setPUsuario()
     * @uses InformeDeCobranzas::setPPassword()
     * @uses InformeDeCobranzas::setPUsuarioAec()
     * @uses InformeDeCobranzas::setPPasswordAec()
     * @uses InformeDeCobranzas::setPIdTransacccionExterno()
     * @param int $pFamilia
     * @param int $pSociedad
     * @param int $pSegmento
     * @param string $pFechaDesde
     * @param string $pFechaHasta
     * @param string $pUsuario
     * @param string $pPassword
     * @param string $pUsuarioAec
     * @param string $pPasswordAec
     * @param string $pIdTransacccionExterno
     */
    public function __construct($pFamilia = null, $pSociedad = null, $pSegmento = null, $pFechaDesde = null, $pFechaHasta = null, $pUsuario = null, $pPassword = null, $pUsuarioAec = null, $pPasswordAec = null, $pIdTransacccionExterno = null)
    {
        $this
            ->setPFamilia($pFamilia)
            ->setPSociedad($pSociedad)
            ->setPSegmento($pSegmento)
            ->setPFechaDesde($pFechaDesde)
            ->setPFechaHasta($pFechaHasta)
            ->setPUsuario($pUsuario)
            ->setPPassword($pPassword)
            ->setPUsuarioAec($pUsuarioAec)
            ->setPPasswordAec($pPasswordAec)
            ->setPIdTransacccionExterno($pIdTransacccionExterno);
    }
    /**
     * Get pFamilia value
     * @return int
     */
    public function getPFamilia()
    {
        return $this->pFamilia;
    }
    /**
     * Set pFamilia value
     * @param int $pFamilia
     * @return \StructType\InformeDeCobranzas
     */
    public function setPFamilia($pFamilia = null)
    {
        // validation for constraint: int
        if (!is_null($pFamilia) && !(is_int($pFamilia) || ctype_digit($pFamilia))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pFamilia, true), gettype($pFamilia)), __LINE__);
        }
        $this->pFamilia = $pFamilia;
        return $this;
    }
    /**
     * Get pSociedad value
     * @return int
     */
    public function getPSociedad()
    {
        return $this->pSociedad;
    }
    /**
     * Set pSociedad value
     * @param int $pSociedad
     * @return \StructType\InformeDeCobranzas
     */
    public function setPSociedad($pSociedad = null)
    {
        // validation for constraint: int
        if (!is_null($pSociedad) && !(is_int($pSociedad) || ctype_digit($pSociedad))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pSociedad, true), gettype($pSociedad)), __LINE__);
        }
        $this->pSociedad = $pSociedad;
        return $this;
    }
    /**
     * Get pSegmento value
     * @return int
     */
    public function getPSegmento()
    {
        return $this->pSegmento;
    }
    /**
     * Set pSegmento value
     * @param int $pSegmento
     * @return \StructType\InformeDeCobranzas
     */
    public function setPSegmento($pSegmento = null)
    {
        // validation for constraint: int
        if (!is_null($pSegmento) && !(is_int($pSegmento) || ctype_digit($pSegmento))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pSegmento, true), gettype($pSegmento)), __LINE__);
        }
        $this->pSegmento = $pSegmento;
        return $this;
    }
    /**
     * Get pFechaDesde value
     * @return string
     */
    public function getPFechaDesde()
    {
        return $this->pFechaDesde;
    }
    /**
     * Set pFechaDesde value
     * @param string $pFechaDesde
     * @return \StructType\InformeDeCobranzas
     */
    public function setPFechaDesde($pFechaDesde = null)
    {
        // validation for constraint: string
        if (!is_null($pFechaDesde) && !is_string($pFechaDesde)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pFechaDesde, true), gettype($pFechaDesde)), __LINE__);
        }
        $this->pFechaDesde = $pFechaDesde;
        return $this;
    }
    /**
     * Get pFechaHasta value
     * @return string
     */
    public function getPFechaHasta()
    {
        return $this->pFechaHasta;
    }
    /**
     * Set pFechaHasta value
     * @param string $pFechaHasta
     * @return \StructType\InformeDeCobranzas
     */
    public function setPFechaHasta($pFechaHasta = null)
    {
        // validation for constraint: string
        if (!is_null($pFechaHasta) && !is_string($pFechaHasta)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pFechaHasta, true), gettype($pFechaHasta)), __LINE__);
        }
        $this->pFechaHasta = $pFechaHasta;
        return $this;
    }
    /**
     * Get pUsuario value
     * @return string|null
     */
    public function getPUsuario()
    {
        return $this->pUsuario;
    }
    /**
     * Set pUsuario value
     * @param string $pUsuario
     * @return \StructType\InformeDeCobranzas
     */
    public function setPUsuario($pUsuario = null)
    {
        // validation for constraint: string
        if (!is_null($pUsuario) && !is_string($pUsuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pUsuario, true), gettype($pUsuario)), __LINE__);
        }
        $this->pUsuario = $pUsuario;
        return $this;
    }
    /**
     * Get pPassword value
     * @return string|null
     */
    public function getPPassword()
    {
        return $this->pPassword;
    }
    /**
     * Set pPassword value
     * @param string $pPassword
     * @return \StructType\InformeDeCobranzas
     */
    public function setPPassword($pPassword = null)
    {
        // validation for constraint: string
        if (!is_null($pPassword) && !is_string($pPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pPassword, true), gettype($pPassword)), __LINE__);
        }
        $this->pPassword = $pPassword;
        return $this;
    }
    /**
     * Get pUsuarioAec value
     * @return string|null
     */
    public function getPUsuarioAec()
    {
        return $this->pUsuarioAec;
    }
    /**
     * Set pUsuarioAec value
     * @param string $pUsuarioAec
     * @return \StructType\InformeDeCobranzas
     */
    public function setPUsuarioAec($pUsuarioAec = null)
    {
        // validation for constraint: string
        if (!is_null($pUsuarioAec) && !is_string($pUsuarioAec)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pUsuarioAec, true), gettype($pUsuarioAec)), __LINE__);
        }
        $this->pUsuarioAec = $pUsuarioAec;
        return $this;
    }
    /**
     * Get pPasswordAec value
     * @return string|null
     */
    public function getPPasswordAec()
    {
        return $this->pPasswordAec;
    }
    /**
     * Set pPasswordAec value
     * @param string $pPasswordAec
     * @return \StructType\InformeDeCobranzas
     */
    public function setPPasswordAec($pPasswordAec = null)
    {
        // validation for constraint: string
        if (!is_null($pPasswordAec) && !is_string($pPasswordAec)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pPasswordAec, true), gettype($pPasswordAec)), __LINE__);
        }
        $this->pPasswordAec = $pPasswordAec;
        return $this;
    }
    /**
     * Get pIdTransacccionExterno value
     * @return string|null
     */
    public function getPIdTransacccionExterno()
    {
        return $this->pIdTransacccionExterno;
    }
    /**
     * Set pIdTransacccionExterno value
     * @param string $pIdTransacccionExterno
     * @return \StructType\InformeDeCobranzas
     */
    public function setPIdTransacccionExterno($pIdTransacccionExterno = null)
    {
        // validation for constraint: string
        if (!is_null($pIdTransacccionExterno) && !is_string($pIdTransacccionExterno)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pIdTransacccionExterno, true), gettype($pIdTransacccionExterno)), __LINE__);
        }
        $this->pIdTransacccionExterno = $pIdTransacccionExterno;
        return $this;
    }
}
