<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InformeDeNovedadesClientes StructType
 * @subpackage Structs
 */
class InformeDeNovedadesClientes extends AbstractStructBase
{
    /**
     * The fechaDesde
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $fechaDesde;
    /**
     * The fechaHasta
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $fechaHasta;
    /**
     * The tipoSolicitud
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $tipoSolicitud;
    /**
     * The pUsuario
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pUsuario;
    /**
     * The pPassword
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pPassword;
    /**
     * The usuarioAEC
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $usuarioAEC;
    /**
     * The passwordUsuarioAEC
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $passwordUsuarioAEC;
    /**
     * The idTransaccionExterno
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $idTransaccionExterno;
    /**
     * Constructor method for InformeDeNovedadesClientes
     * @uses InformeDeNovedadesClientes::setFechaDesde()
     * @uses InformeDeNovedadesClientes::setFechaHasta()
     * @uses InformeDeNovedadesClientes::setTipoSolicitud()
     * @uses InformeDeNovedadesClientes::setPUsuario()
     * @uses InformeDeNovedadesClientes::setPPassword()
     * @uses InformeDeNovedadesClientes::setUsuarioAEC()
     * @uses InformeDeNovedadesClientes::setPasswordUsuarioAEC()
     * @uses InformeDeNovedadesClientes::setIdTransaccionExterno()
     * @param string $fechaDesde
     * @param string $fechaHasta
     * @param string $tipoSolicitud
     * @param string $pUsuario
     * @param string $pPassword
     * @param string $usuarioAEC
     * @param string $passwordUsuarioAEC
     * @param string $idTransaccionExterno
     */
    public function __construct($fechaDesde = null, $fechaHasta = null, $tipoSolicitud = null, $pUsuario = null, $pPassword = null, $usuarioAEC = null, $passwordUsuarioAEC = null, $idTransaccionExterno = null)
    {
        $this
            ->setFechaDesde($fechaDesde)
            ->setFechaHasta($fechaHasta)
            ->setTipoSolicitud($tipoSolicitud)
            ->setPUsuario($pUsuario)
            ->setPPassword($pPassword)
            ->setUsuarioAEC($usuarioAEC)
            ->setPasswordUsuarioAEC($passwordUsuarioAEC)
            ->setIdTransaccionExterno($idTransaccionExterno);
    }
    /**
     * Get fechaDesde value
     * @return string
     */
    public function getFechaDesde()
    {
        return $this->fechaDesde;
    }
    /**
     * Set fechaDesde value
     * @param string $fechaDesde
     * @return \StructType\InformeDeNovedadesClientes
     */
    public function setFechaDesde($fechaDesde = null)
    {
        // validation for constraint: string
        if (!is_null($fechaDesde) && !is_string($fechaDesde)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fechaDesde, true), gettype($fechaDesde)), __LINE__);
        }
        $this->fechaDesde = $fechaDesde;
        return $this;
    }
    /**
     * Get fechaHasta value
     * @return string
     */
    public function getFechaHasta()
    {
        return $this->fechaHasta;
    }
    /**
     * Set fechaHasta value
     * @param string $fechaHasta
     * @return \StructType\InformeDeNovedadesClientes
     */
    public function setFechaHasta($fechaHasta = null)
    {
        // validation for constraint: string
        if (!is_null($fechaHasta) && !is_string($fechaHasta)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fechaHasta, true), gettype($fechaHasta)), __LINE__);
        }
        $this->fechaHasta = $fechaHasta;
        return $this;
    }
    /**
     * Get tipoSolicitud value
     * @return string
     */
    public function getTipoSolicitud()
    {
        return $this->tipoSolicitud;
    }
    /**
     * Set tipoSolicitud value
     * @uses \EnumType\TipoSolicitudEnumeration::valueIsValid()
     * @uses \EnumType\TipoSolicitudEnumeration::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $tipoSolicitud
     * @return \StructType\InformeDeNovedadesClientes
     */
    public function setTipoSolicitud($tipoSolicitud = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\TipoSolicitudEnumeration::valueIsValid($tipoSolicitud)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\TipoSolicitudEnumeration', is_array($tipoSolicitud) ? implode(', ', $tipoSolicitud) : var_export($tipoSolicitud, true), implode(', ', \EnumType\TipoSolicitudEnumeration::getValidValues())), __LINE__);
        }
        $this->tipoSolicitud = $tipoSolicitud;
        return $this;
    }
    /**
     * Get pUsuario value
     * @return string|null
     */
    public function getPUsuario()
    {
        return $this->pUsuario;
    }
    /**
     * Set pUsuario value
     * @param string $pUsuario
     * @return \StructType\InformeDeNovedadesClientes
     */
    public function setPUsuario($pUsuario = null)
    {
        // validation for constraint: string
        if (!is_null($pUsuario) && !is_string($pUsuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pUsuario, true), gettype($pUsuario)), __LINE__);
        }
        $this->pUsuario = $pUsuario;
        return $this;
    }
    /**
     * Get pPassword value
     * @return string|null
     */
    public function getPPassword()
    {
        return $this->pPassword;
    }
    /**
     * Set pPassword value
     * @param string $pPassword
     * @return \StructType\InformeDeNovedadesClientes
     */
    public function setPPassword($pPassword = null)
    {
        // validation for constraint: string
        if (!is_null($pPassword) && !is_string($pPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pPassword, true), gettype($pPassword)), __LINE__);
        }
        $this->pPassword = $pPassword;
        return $this;
    }
    /**
     * Get usuarioAEC value
     * @return string|null
     */
    public function getUsuarioAEC()
    {
        return $this->usuarioAEC;
    }
    /**
     * Set usuarioAEC value
     * @param string $usuarioAEC
     * @return \StructType\InformeDeNovedadesClientes
     */
    public function setUsuarioAEC($usuarioAEC = null)
    {
        // validation for constraint: string
        if (!is_null($usuarioAEC) && !is_string($usuarioAEC)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuarioAEC, true), gettype($usuarioAEC)), __LINE__);
        }
        $this->usuarioAEC = $usuarioAEC;
        return $this;
    }
    /**
     * Get passwordUsuarioAEC value
     * @return string|null
     */
    public function getPasswordUsuarioAEC()
    {
        return $this->passwordUsuarioAEC;
    }
    /**
     * Set passwordUsuarioAEC value
     * @param string $passwordUsuarioAEC
     * @return \StructType\InformeDeNovedadesClientes
     */
    public function setPasswordUsuarioAEC($passwordUsuarioAEC = null)
    {
        // validation for constraint: string
        if (!is_null($passwordUsuarioAEC) && !is_string($passwordUsuarioAEC)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($passwordUsuarioAEC, true), gettype($passwordUsuarioAEC)), __LINE__);
        }
        $this->passwordUsuarioAEC = $passwordUsuarioAEC;
        return $this;
    }
    /**
     * Get idTransaccionExterno value
     * @return string|null
     */
    public function getIdTransaccionExterno()
    {
        return $this->idTransaccionExterno;
    }
    /**
     * Set idTransaccionExterno value
     * @param string $idTransaccionExterno
     * @return \StructType\InformeDeNovedadesClientes
     */
    public function setIdTransaccionExterno($idTransaccionExterno = null)
    {
        // validation for constraint: string
        if (!is_null($idTransaccionExterno) && !is_string($idTransaccionExterno)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($idTransaccionExterno, true), gettype($idTransaccionExterno)), __LINE__);
        }
        $this->idTransaccionExterno = $idTransaccionExterno;
        return $this;
    }
}
