<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InformeDeSiniestro StructType
 * @subpackage Structs
 */
class InformeDeSiniestro extends AbstractStructBase
{
    /**
     * The pFechaDesde
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $pFechaDesde;
    /**
     * The pFechaHasta
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $pFechaHasta;
    /**
     * The pUsuario
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pUsuario;
    /**
     * The pPassword
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pPassword;
    /**
     * The pUsuarioAec
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pUsuarioAec;
    /**
     * The pPasswordAec
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pPasswordAec;
    /**
     * The pIdTransaccionExterno
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pIdTransaccionExterno;
    /**
     * Constructor method for InformeDeSiniestro
     * @uses InformeDeSiniestro::setPFechaDesde()
     * @uses InformeDeSiniestro::setPFechaHasta()
     * @uses InformeDeSiniestro::setPUsuario()
     * @uses InformeDeSiniestro::setPPassword()
     * @uses InformeDeSiniestro::setPUsuarioAec()
     * @uses InformeDeSiniestro::setPPasswordAec()
     * @uses InformeDeSiniestro::setPIdTransaccionExterno()
     * @param string $pFechaDesde
     * @param string $pFechaHasta
     * @param string $pUsuario
     * @param string $pPassword
     * @param string $pUsuarioAec
     * @param string $pPasswordAec
     * @param string $pIdTransaccionExterno
     */
    public function __construct($pFechaDesde = null, $pFechaHasta = null, $pUsuario = null, $pPassword = null, $pUsuarioAec = null, $pPasswordAec = null, $pIdTransaccionExterno = null)
    {
        $this
            ->setPFechaDesde($pFechaDesde)
            ->setPFechaHasta($pFechaHasta)
            ->setPUsuario($pUsuario)
            ->setPPassword($pPassword)
            ->setPUsuarioAec($pUsuarioAec)
            ->setPPasswordAec($pPasswordAec)
            ->setPIdTransaccionExterno($pIdTransaccionExterno);
    }
    /**
     * Get pFechaDesde value
     * @return string
     */
    public function getPFechaDesde()
    {
        return $this->pFechaDesde;
    }
    /**
     * Set pFechaDesde value
     * @param string $pFechaDesde
     * @return \StructType\InformeDeSiniestro
     */
    public function setPFechaDesde($pFechaDesde = null)
    {
        // validation for constraint: string
        if (!is_null($pFechaDesde) && !is_string($pFechaDesde)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pFechaDesde, true), gettype($pFechaDesde)), __LINE__);
        }
        $this->pFechaDesde = $pFechaDesde;
        return $this;
    }
    /**
     * Get pFechaHasta value
     * @return string
     */
    public function getPFechaHasta()
    {
        return $this->pFechaHasta;
    }
    /**
     * Set pFechaHasta value
     * @param string $pFechaHasta
     * @return \StructType\InformeDeSiniestro
     */
    public function setPFechaHasta($pFechaHasta = null)
    {
        // validation for constraint: string
        if (!is_null($pFechaHasta) && !is_string($pFechaHasta)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pFechaHasta, true), gettype($pFechaHasta)), __LINE__);
        }
        $this->pFechaHasta = $pFechaHasta;
        return $this;
    }
    /**
     * Get pUsuario value
     * @return string|null
     */
    public function getPUsuario()
    {
        return $this->pUsuario;
    }
    /**
     * Set pUsuario value
     * @param string $pUsuario
     * @return \StructType\InformeDeSiniestro
     */
    public function setPUsuario($pUsuario = null)
    {
        // validation for constraint: string
        if (!is_null($pUsuario) && !is_string($pUsuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pUsuario, true), gettype($pUsuario)), __LINE__);
        }
        $this->pUsuario = $pUsuario;
        return $this;
    }
    /**
     * Get pPassword value
     * @return string|null
     */
    public function getPPassword()
    {
        return $this->pPassword;
    }
    /**
     * Set pPassword value
     * @param string $pPassword
     * @return \StructType\InformeDeSiniestro
     */
    public function setPPassword($pPassword = null)
    {
        // validation for constraint: string
        if (!is_null($pPassword) && !is_string($pPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pPassword, true), gettype($pPassword)), __LINE__);
        }
        $this->pPassword = $pPassword;
        return $this;
    }
    /**
     * Get pUsuarioAec value
     * @return string|null
     */
    public function getPUsuarioAec()
    {
        return $this->pUsuarioAec;
    }
    /**
     * Set pUsuarioAec value
     * @param string $pUsuarioAec
     * @return \StructType\InformeDeSiniestro
     */
    public function setPUsuarioAec($pUsuarioAec = null)
    {
        // validation for constraint: string
        if (!is_null($pUsuarioAec) && !is_string($pUsuarioAec)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pUsuarioAec, true), gettype($pUsuarioAec)), __LINE__);
        }
        $this->pUsuarioAec = $pUsuarioAec;
        return $this;
    }
    /**
     * Get pPasswordAec value
     * @return string|null
     */
    public function getPPasswordAec()
    {
        return $this->pPasswordAec;
    }
    /**
     * Set pPasswordAec value
     * @param string $pPasswordAec
     * @return \StructType\InformeDeSiniestro
     */
    public function setPPasswordAec($pPasswordAec = null)
    {
        // validation for constraint: string
        if (!is_null($pPasswordAec) && !is_string($pPasswordAec)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pPasswordAec, true), gettype($pPasswordAec)), __LINE__);
        }
        $this->pPasswordAec = $pPasswordAec;
        return $this;
    }
    /**
     * Get pIdTransaccionExterno value
     * @return string|null
     */
    public function getPIdTransaccionExterno()
    {
        return $this->pIdTransaccionExterno;
    }
    /**
     * Set pIdTransaccionExterno value
     * @param string $pIdTransaccionExterno
     * @return \StructType\InformeDeSiniestro
     */
    public function setPIdTransaccionExterno($pIdTransaccionExterno = null)
    {
        // validation for constraint: string
        if (!is_null($pIdTransaccionExterno) && !is_string($pIdTransaccionExterno)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pIdTransaccionExterno, true), gettype($pIdTransaccionExterno)), __LINE__);
        }
        $this->pIdTransaccionExterno = $pIdTransaccionExterno;
        return $this;
    }
}
