<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ResultadoIntegracionCanalesOfString StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: s1:ResultadoIntegracionCanalesOfString
 * @subpackage Structs
 */
class ResultadoIntegracionCanalesOfString extends AbstractStructBase
{
    /**
     * The estado
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $estado;
    /**
     * The datosResultado
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $datosResultado;
    /**
     * The mensajeResultado
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $mensajeResultado;
    /**
     * Constructor method for ResultadoIntegracionCanalesOfString
     * @uses ResultadoIntegracionCanalesOfString::setEstado()
     * @uses ResultadoIntegracionCanalesOfString::setDatosResultado()
     * @uses ResultadoIntegracionCanalesOfString::setMensajeResultado()
     * @param string $estado
     * @param string $datosResultado
     * @param string $mensajeResultado
     */
    public function __construct($estado = null, $datosResultado = null, $mensajeResultado = null)
    {
        $this
            ->setEstado($estado)
            ->setDatosResultado($datosResultado)
            ->setMensajeResultado($mensajeResultado);
    }
    /**
     * Get estado value
     * @return string
     */
    public function getEstado()
    {
        return $this->estado;
    }
    /**
     * Set estado value
     * @uses \EnumType\EstadoResultado::valueIsValid()
     * @uses \EnumType\EstadoResultado::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $estado
     * @return \StructType\ResultadoIntegracionCanalesOfString
     */
    public function setEstado($estado = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\EstadoResultado::valueIsValid($estado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\EstadoResultado', is_array($estado) ? implode(', ', $estado) : var_export($estado, true), implode(', ', \EnumType\EstadoResultado::getValidValues())), __LINE__);
        }
        $this->estado = $estado;
        return $this;
    }
    /**
     * Get datosResultado value
     * @return string|null
     */
    public function getDatosResultado()
    {
        return $this->datosResultado;
    }
    /**
     * Set datosResultado value
     * @param string $datosResultado
     * @return \StructType\ResultadoIntegracionCanalesOfString
     */
    public function setDatosResultado($datosResultado = null)
    {
        // validation for constraint: string
        if (!is_null($datosResultado) && !is_string($datosResultado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($datosResultado, true), gettype($datosResultado)), __LINE__);
        }
        $this->datosResultado = $datosResultado;
        return $this;
    }
    /**
     * Get mensajeResultado value
     * @return string|null
     */
    public function getMensajeResultado()
    {
        return $this->mensajeResultado;
    }
    /**
     * Set mensajeResultado value
     * @param string $mensajeResultado
     * @return \StructType\ResultadoIntegracionCanalesOfString
     */
    public function setMensajeResultado($mensajeResultado = null)
    {
        // validation for constraint: string
        if (!is_null($mensajeResultado) && !is_string($mensajeResultado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mensajeResultado, true), gettype($mensajeResultado)), __LINE__);
        }
        $this->mensajeResultado = $mensajeResultado;
        return $this;
    }
}
