<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SCORINGINSPEAUTOS StructType
 * @subpackage Structs
 */
class SCORINGINSPEAUTOS extends AbstractStructBase
{
    /**
     * The dummyElement
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $dummyElement;
    /**
     * The PARTESVEHICULO
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\PARTESVEHICULO[]
     */
    public $PARTESVEHICULO;
    /**
     * Constructor method for SCORINGINSPEAUTOS
     * @uses SCORINGINSPEAUTOS::setDummyElement()
     * @uses SCORINGINSPEAUTOS::setPARTESVEHICULO()
     * @param string $dummyElement
     * @param \StructType\PARTESVEHICULO[] $pARTESVEHICULO
     */
    public function __construct($dummyElement = null, array $pARTESVEHICULO = array())
    {
        $this
            ->setDummyElement($dummyElement)
            ->setPARTESVEHICULO($pARTESVEHICULO);
    }
    /**
     * Get dummyElement value
     * @return string
     */
    public function getDummyElement()
    {
        return $this->dummyElement;
    }
    /**
     * Set dummyElement value
     * @param string $dummyElement
     * @return \StructType\SCORINGINSPEAUTOS
     */
    public function setDummyElement($dummyElement = null)
    {
        // validation for constraint: string
        if (!is_null($dummyElement) && !is_string($dummyElement)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dummyElement, true), gettype($dummyElement)), __LINE__);
        }
        $this->dummyElement = $dummyElement;
        return $this;
    }
    /**
     * Get PARTESVEHICULO value
     * @return \StructType\PARTESVEHICULO[]|null
     */
    public function getPARTESVEHICULO()
    {
        return $this->PARTESVEHICULO;
    }
    /**
     * This method is responsible for validating the values passed to the setPARTESVEHICULO method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPARTESVEHICULO method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePARTESVEHICULOForArrayConstraintsFromSetPARTESVEHICULO(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $sCORINGINSPEAUTOSPARTESVEHICULOItem) {
            // validation for constraint: itemType
            if (!$sCORINGINSPEAUTOSPARTESVEHICULOItem instanceof \StructType\PARTESVEHICULO) {
                $invalidValues[] = is_object($sCORINGINSPEAUTOSPARTESVEHICULOItem) ? get_class($sCORINGINSPEAUTOSPARTESVEHICULOItem) : sprintf('%s(%s)', gettype($sCORINGINSPEAUTOSPARTESVEHICULOItem), var_export($sCORINGINSPEAUTOSPARTESVEHICULOItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PARTESVEHICULO property can only contain items of type \StructType\PARTESVEHICULO, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PARTESVEHICULO value
     * @throws \InvalidArgumentException
     * @param \StructType\PARTESVEHICULO[] $pARTESVEHICULO
     * @return \StructType\SCORINGINSPEAUTOS
     */
    public function setPARTESVEHICULO(array $pARTESVEHICULO = array())
    {
        // validation for constraint: array
        if ('' !== ($pARTESVEHICULOArrayErrorMessage = self::validatePARTESVEHICULOForArrayConstraintsFromSetPARTESVEHICULO($pARTESVEHICULO))) {
            throw new \InvalidArgumentException($pARTESVEHICULOArrayErrorMessage, __LINE__);
        }
        $this->PARTESVEHICULO = $pARTESVEHICULO;
        return $this;
    }
    /**
     * Add item to PARTESVEHICULO value
     * @throws \InvalidArgumentException
     * @param \StructType\PARTESVEHICULO $item
     * @return \StructType\SCORINGINSPEAUTOS
     */
    public function addToPARTESVEHICULO(\StructType\PARTESVEHICULO $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PARTESVEHICULO) {
            throw new \InvalidArgumentException(sprintf('The PARTESVEHICULO property can only contain items of type \StructType\PARTESVEHICULO, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PARTESVEHICULO[] = $item;
        return $this;
    }
}
